<?php
/**
 *    @version 2.1.1 Build 21106 Alpha [ Drury ]
 *    @package hwdVideoShare
 *    @copyright (C) 2007 - 2009 Highwood Design
 *    @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 ***
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
defined( '_JEXEC' ) or die( 'Direct Access to this location is not allowed.' );

class hwdvids_BE_imports
{
   /**
	* Import Data
	*/
	function import($option)
	{
		global $database, $my;
		hwdvids_HTML::importdata($option);
	}

   /**
	* Import Data
	*/
	function ftpupload($option)
	{
		global $mainframe, $mosConfig_absolute_path, $mosConfig_mailfrom, $mosConfig_fromname, $mosConfig_live_site, $Itemid, $option, $mosConfig_sitename;
		$db = & JFactory::getDBO();
		$my = & JFactory::getUser();

		$videoid 			= JRequest::getCmd( 'videoid' );
		$title 				= Jrequest::getVar( 'title', 'no name supplied' );
		$description 		= Jrequest::getVar( 'description', 'no name supplied' );
		$category_id 		= JRequest::getInt( 'category_id', 0, 'post' );
		$tags 				= Jrequest::getVar( 'tags', 'no name supplied' );
		$duration			= Jrequest::getVar( 'duration', 'no name supplied' );
		$public_private 	= JRequest::getWord( 'public_private' );
		$allow_comments 	= JRequest::getInt( 'allow_comments', 0, 'post' );
		$allow_embedding 	= JRequest::getInt( 'allow_embedding', 0, 'post' );
		$allow_ratings 		= JRequest::getInt( 'allow_ratings', 0, 'post' );

		$checkform = hwd_vs_tools::checkFormComplete($title, $description, $category_id, $tags, $public_private, $allow_comments, $allow_embedding, $allow_ratings);
		if (!$checkform) { return; }

		$row = new hwdvids_video($db);

			//check if already exists
			$db->SetQuery( 'SELECT count(*)'
							. ' FROM #__hwdvidsvideos'
							. ' WHERE video_id = '.$videoid.''
							);
			$duplicatecount = $db->loadResult();
			if ($duplicatecount > 0) {
				$msg = _HWDVIDS_ALERT_DUPLICATE;
				echo "<script> alert('".$msg."'); window.history.go(-1); </script>\n";
				return;
			}

			$_POST['video_id'] 			= $videoid;
			$_POST['video_type'] 		= "local";
			$_POST['title'] 			= $title;
			$_POST['description'] 		= $description;
			$_POST['category_id'] 		= $category_id;
			$_POST['tags'] 				= $tags;
			$_POST['video_length'] 		= $duration;
			$_POST['public_private'] 	= $public_private;
			$_POST['allow_comments'] 	= $allow_comments;
			$_POST['allow_embedding'] 	= $allow_embedding;
			$_POST['allow_ratings'] 	= $allow_ratings;
			$_POST['date_uploaded'] 	= date('Y-m-d H:i:s');
			$_POST['user_id'] 			= $my->id;
			$_POST['published'] 		= "0";
			$_POST['approved'] 			= "yes";

			if(empty($_POST['video_id'])) {
				$msg = _HWDVIDS_ALERT_ERRFTP;
				echo "<script> alert('".$msg."'); window.history.go(-1); </script>\n";
				return;
			}

			// bind it to the table
			if (!$row->bind($_POST)) {
				echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
				exit();
			}

			// store it in the db
			if (!$row->store()) {
				echo "<script> alert('".$row -> getError()."'); window.history.go(-1); </script>\n";
				exit();
			}

			$msg = _HWDVIDS_ALERT_SUCFTP;
			echo "<script> alert('".$msg."'); </script>\n";

			// perform maintenance
			include(HWDVS_ADMIN_PATH.'/maintenance/recount.class.php');
			hwd_vs_recount::recountVideosInCategory($row->category_id);

			$mainframe->enqueueMessage($msg);
			$mainframe->redirect( JURI::root( true ) . '/administrator/index2.php?option='. $option .'&task=editvidsA&hidemainmenu=1&cid='.$row->id );

	}
   /**
	* Import Data
	*/
	function remoteupload($option)
	{
		global $mainframe, $my, $acl, $mosConfig_absolute_path, $mosConfig_mailfrom, $mosConfig_fromname, $mosConfig_live_site, $Itemid, $option, $mosConfig_sitename;
		$db = & JFactory::getDBO();
		$my = & JFactory::getUser();

		$videourl = Jrequest::getVar( 'videourl', '' );
		$thumbnailurl = Jrequest::getVar( 'thumbnailurl', '' );

		if (!empty($videourl) && !hwd_vs_tools::is_valid_url($videourl)) {
			$msg = _HWDVIDS_ALERT_VURLWRONG;
			echo "<script> alert('".$msg."'); window.history.go(-1); </script>\n";
			return;
		}
		if (!empty($thumbnailurl) && !hwd_vs_tools::is_valid_url($thumbnailurl)) {
			$msg = _HWDVIDS_ALERT_TURLWRONG;
			echo "<script> alert('".$msg."'); window.history.go(-1); </script>\n";
			return;
		}
		$video_id = $videourl.",".$thumbnailurl;

		$title 				= Jrequest::getVar( 'title', 'no name supplied' );
		$description 		= Jrequest::getVar( 'description', 'no name supplied' );
		$category_id 		= JRequest::getInt( 'category_id', 0, 'post' );
		$tags 				= Jrequest::getVar( 'tags', 'no name supplied' );
		$duration			= Jrequest::getVar( 'duration', 'no name supplied' );
		$public_private 	= JRequest::getWord( 'public_private' );
		$allow_comments 	= JRequest::getInt( 'allow_comments', 0, 'post' );
		$allow_embedding 	= JRequest::getInt( 'allow_embedding', 0, 'post' );
		$allow_ratings 		= JRequest::getInt( 'allow_ratings', 0, 'post' );

		$checkform = hwd_vs_tools::checkFormComplete($title, $description, $category_id, $tags, $public_private, $allow_comments, $allow_embedding, $allow_ratings);
		if (!$checkform) { return; }

		$row = new hwdvids_video($db);

			//check if already exists
			$db->SetQuery( 'SELECT count(*)'
							. ' FROM #__hwdvidsvideos'
							. ' WHERE video_id = '.$video_id.''
							);
			$duplicatecount = $db->loadResult();
			if ($duplicatecount > 0) {
				$msg = _HWDVIDS_ALERT_DUPLICATE;
				echo "<script> alert('".$msg."'); window.history.go(-1); </script>\n";
				return;
			}

			$_POST['video_id'] 			= $video_id;
			$_POST['video_type'] 		= "remote";
			$_POST['title'] 			= $title;
			$_POST['description'] 		= $description;
			$_POST['category_id'] 		= $category_id;
			$_POST['tags'] 				= $tags;
			$_POST['video_length'] 		= $duration;
			$_POST['public_private'] 	= $public_private;
			$_POST['allow_comments'] 	= $allow_comments;
			$_POST['allow_embedding'] 	= $allow_embedding;
			$_POST['allow_ratings'] 	= $allow_ratings;
			$_POST['date_uploaded'] 	= date('Y-m-d H:i:s');
			$_POST['user_id'] 			= $my->id;
			$_POST['published'] 		= "0";
			$_POST['approved'] 			= "yes";

			if(empty($_POST['video_id'])) {
				$msg = _HWDVIDS_ALERT_ERRFTP;
				hwdvids_HTML_import::ftpupload_result($msg);
				return;
			}

			// bind it to the table
			if (!$row->bind($_POST)) {
				echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
				exit();
			}

			// store it in the db
			if (!$row->store()) {
				echo "<script> alert('".$row -> getError()."'); window.history.go(-1); </script>\n";
				exit();
			}

			$msg = _HWDVIDS_ALERT_SUCFTP;
			echo "<script> alert('".$msg."'); </script>\n";

			// perform maintenance
			include(HWDVS_ADMIN_PATH.'/maintenance/recount.class.php');
			hwd_vs_recount::recountVideosInCategory($row->category_id);

			$mainframe->redirect( JURI::root( true ) . '/administrator/index2.php?option='. $option .'&task=editvidsA&hidemainmenu=1&cid='.$row->id );

	}
   /**
	* Import Data
	*/
	function sqlRestore($option)
	{
		global $mainframe, $my, $mosConfig_db, $mosConfig_user, $mosConfig_dbprefix, $mosConfig_password, $mosConfig_db, $mosConfig_host, $mosConfig_host, $mosConfig_absolute_path, $mosConfig_user, $mosConfig_password;

		$base_Dir = HWDVS_ADMIN_PATH.'/../../../media/';
		$base_Name = "sql_import";

		$upload_result = hwd_vs_tools::uploadFile( "upfile_0", $base_Name, $base_Dir, 2, 'gz', 1 );
		if ($upload_result[0] == "0") {
			$msg = $upload_result[1];
			$mainframe->enqueueMessage($msg);
			$mainframe->redirect( JURI::root( true ) . '/administrator/index2.php?option='.$option.'&task=import' );
		}

		$config = new JConfig;

		// Enter your MySQL access data
		$host= $config->host;
		$user= $config->user;
		$pass= $config->password;
		$db=   $config->db;
		$path= JPATH_SITE;

		$backupdir = 'media';
		$bkupfile = 'sql_import.gz';
		$bkupname = substr($bkupfile, 0, strrpos($bkupfile, '.'));

		// Execute mysql command.
		system('gunzip '.JPATH_SITE.'/media/'.$base_Name.'.gz');
		system(sprintf('mysql -h %s -u %s -p%s %s < %s/%s/%s',$host,$user,$pass,$db,$path,$backupdir,$bkupname));
		unlink(JPATH_SITE.'/media/'.$base_Name);
		unlink(JPATH_SITE.'/media/'.$base_Name.'.gz');

		$msg = "SQL Import has been executed, please check import was successful.";
		$mainframe->enqueueMessage($msg);
		$mainframe->redirect( JURI::root( true ) . '/administrator/index2.php?option='.$option.'&task=import' );
	}
   /**
	* Import Data
	*/
	function csvImport($option)
	{
		global $mainframe, $my, $mosConfig_db, $mosConfig_user, $mosConfig_dbprefix, $mosConfig_password, $mosConfig_db, $mosConfig_host, $mosConfig_host, $mosConfig_absolute_path, $mosConfig_user, $mosConfig_password;
		$db = & JFactory::getDBO();
		$c = hwd_vs_Config::get_instance();

		$mediatype = JRequest::getWord( 'mediatype' );
		$delimiter = JRequest::getWord( 'delimiter' );
		$maxerrors = JRequest::getInt( 'maxerrors', 1, 'post' );

		$base_Dir = HWDVS_ADMIN_PATH.'/../../../media/';
		$base_Name = "csv_import";

		$upload_result = hwd_vs_tools::uploadFile( "upfile_0", $base_Name, $base_Dir, 2, 'csv', 1 );
		if ($upload_result[0] == "0") {
			$msg = $upload_result[1];
			$mainframe->enqueueMessage($msg);
			$mainframe->redirect( JURI::root( true ) . '/administrator/index2.php?option='.$option.'&task=import' );
		}

		if ($delimiter == "comma") {
			$delimiter = ",";
		} else if ($delimiter == "tab") {
			$delimiter = "|";
		} else if ($delimiter == "pipe") {
			$delimiter = "	";
		}

		include('CsvIterator.class.php');
		$csvIterator = new CsvIterator(JPATH_SITE.'/media/'.$base_Name.'.csv', true, $delimiter, "\"");

		$counter=0;
		$errors=0;
		while ($csvIterator->next()) {
			$row = $csvIterator->current();

			if ($errors > $maxerrors) {
				$msg = "Import stopped! Maximum allowed errors exceeded.";
				$mainframe->enqueueMessage($msg);
				$mainframe->redirect( JURI::root( true ) . '/administrator/index2.php?option='.$option.'&task=import' );
			}

			if (!isset($row['Filename']) || empty($row['Filename'])) { $row['Filename'] = null; $errors++; continue; }
			if (!isset($row['Extension']) || empty($row['Extension'])) { $row['Extension'] = "flv"; }
			if (!isset($row['Title']) || empty($row['Title'])) { $row['Title'] = _HWDVIDS_UNKNOWN; }
			if (!isset($row['Description']) || empty($row['Description'])) { $row['Description'] = _HWDVIDS_UNKNOWN; }
			if (!isset($row['Tags']) || empty($row['Tags'])) { $row['Tags'] = _HWDVIDS_UNKNOWN; }
			if (!isset($row['Category ID']) || empty($row['Category ID'])) { $row['Category ID']= "0"; }
			if (!isset($row['Duration']) || empty($row['Duration'])) { $row['Duration'] = "00:00:00"; }
			if (!isset($row['Allow Comments']) || empty($row['Allow Comments'])) { $row['Allow Comments'] = "1"; }
			if (!isset($row['Allow Embedding']) || empty($row['Allow Embedding'])) { $row['Allow Embedding'] = "1"; }
			if (!isset($row['Allow Ratings']) || empty($row['Allow Ratings'])) { $row['Allow Ratings'] = "1"; }
			if (!isset($row['Access']) || empty($row['Access'])) { $row['Access'] = "public"; }
			if (!isset($row['Number Of Views']) || empty($row['Number Of Views'])) { $row['Number Of Views'] = "0"; }
			if (!isset($row['User ID']) || empty($row['User ID'])) { $row['User ID'] = "0"; }
			if (!isset($row['Featured']) || empty($row['Featured'])) { $row['Featured'] = "0"; }
			if (!isset($row['Published']) || empty($row['Published'])) { $row['Published'] = "1"; }
			if (!isset($row['Upload Date']) || empty($row['Upload Date'])) { $row['Upload Date'] = date('Y-m-d H:i:s'); }
			if (!isset($row['Thumbnail Capture Time']) || empty($row['Thumbnail Capture Time'])) { $row['Thumbnail Capture Time'] = "00:00:02"; }

			// Sanitise
			$row['Filename'] = preg_replace("/[^a-zA-Z0-9s_-]/", "", $row['Filename']);
			$row['Extension'] = preg_replace("/[^a-zA-Z0-9s]/", "", $row['Extension']);
			$row['Title'] = addslashes($row['Title']);
			$row['Description'] = addslashes($row['Description']);
			$row['Tags'] = addslashes($row['Tags']);
			$row['Category ID'] = intval($row['Category ID']);
			$row['Duration'] = addslashes($row['Duration']);
			$row['Allow Comments'] = intval($row['Allow Comments']);
			$row['Allow Embedding'] = intval($row['Allow Embedding']);
			$row['Allow Ratings'] = intval($row['Allow Ratings']);
			$row['Access'] = preg_replace("/[^a-zA-Z0-9s]/", "", $row['Access']);
			$row['Number Of Views'] = intval($row['Number Of Views']);
			$row['User ID'] = intval($row['User ID']);
			$row['Featured'] = intval($row['Featured']);
			$row['Published'] = intval($row['Published']);
			$row['Upload Date'] = addslashes($row['Upload Date']);
			$row['Thumbnail Capture Time'] = addslashes($row['Thumbnail Capture Time']);

			//search for duplications
			$db->SetQuery( 'SELECT count(*)'
						 . ' FROM #__hwdvidsvideos'
                         . ' WHERE video_id = "'.$row['Filename'].'"'
						 );
			$total = $db->loadResult();
			echo $db->getErrorMsg();

			if ($total > 0) {
				$errors++;
				continue;
			}

			if ($c->requiredins) {
				$_POST['video_id'] 		= $row['Filename'].".".$row['Extension'];
				if ($row['Extension'] == "flv") {
					$_POST['approved'] 		= "queuedforthumbnail";
				} else {
				    $_POST['approved'] 		= "queuedforconversion";
				}
			} else {
				$_POST['video_id'] 		= $row['Filename'];
				if ($c->aav == 1) {
					$_POST['approved'] = "yes";
				} else {
					$_POST['approved'] = "pending";
				}
			}

			$row_new = new hwdvids_video($db);

			$_POST['video_type'] 		= "local";
			$_POST['title'] 			= $row['Title'];
			$_POST['description'] 		= $row['Description'];
			$_POST['tags'] 				= $row['Tags'];
			$_POST['category_id'] 		= $row['Category ID'];
			$_POST['date_uploaded'] 	= $row['Upload Date'];
			$_POST['video_length'] 		= $row['Duration'];
			$_POST['allow_comments'] 	= $row['Allow Comments'];
			$_POST['allow_embedding'] 	= $row['Allow Embedding'];
			$_POST['allow_ratings'] 	= $row['Allow Ratings'];
			$_POST['public_private'] 	= $row['Access'];
			$_POST['number_of_views'] 	= $row['Number Of Views'];
			$_POST['user_id'] 			= $row['User ID'];
			$_POST['featured'] 		    = $row['Featured'];
			$_POST['published'] 		= $row['Published'];

			// bind it to the table
			if (!$row_new->bind($_POST)) {
				echo "<script> alert('".$row_new->getError()."'); window.history.go(-1); </script>\n";
				exit();
			}

			// store it in the db
			if (!$row_new->store()) {
				echo "<script> alert('".$row_new -> getError()."'); window.history.go(-1); </script>\n";
				exit();
			}

			$counter++;
		}

		unlink(JPATH_SITE.'/media/'.$base_Name.'.csv');
		$msg = "CSV Import has been executed and ".$counter." video have been imported, please check import was successful. (".$errors." Errors Reported)";
		$mainframe->enqueueMessage($msg);
		$mainframe->redirect( JURI::root( true ) . '/administrator/index2.php?option='.$option.'&task=import' );
	}
	/**
	* Import Data
	*/
	function seyretImport($option)
	{
		global $mainframe, $my, $acl, $mosConfig_absolute_path, $mosConfig_mailfrom, $mosConfig_fromname, $mosConfig_live_site, $Itemid, $option, $mosConfig_sitename;
		$db = & JFactory::getDBO();

		$seyretcid = JRequest::getInt( 'seyretcid', -1 );
		$category_id = JRequest::getInt( 'category_id', 0 );

		if (!empty($seyretcid) && ($seyretcid !== -1)) {
			$where = " WHERE `catid` LIKE '%*".$seyretcid."*#%'";
		} else {
			$where = "";
		}
		// import categories
		$db->setQuery( "SELECT * FROM #__seyret_items".$where );
		if ( !$db->query() ) {
			echo "<script> alert('".$db->getErrorMsg()."'); window.history.go(-1); </script>\n";
			exit();
		}
		$rows_seyret = $db->loadObjectList();

		for ($i=0, $n=count($rows_seyret); $i < $n; $i++) {
			$row_seyret = $rows_seyret[$i];

			$row = new hwdvids_video($db);

			if ($row_seyret->videoservertype == "localfile") {
				$_POST['video_id'] 	    = "local,".$row_seyret->videoservercode.",".$row_seyret->picturelink;
			} else if ($row_seyret->videoservertype == "youtube") {
				$thumbnail = "http://img.youtube.com/vi/".$row_seyret->videoservercode."/default.jpg";
				$_POST['video_id'] 	    = "youtube,".$row_seyret->videoservercode.",".$thumbnail;
			} else {
				continue;
			}

			$_POST['video_type']        = "seyret";
			$_POST['title'] 			= $row_seyret->title;
			$_POST['description'] 		= $row_seyret->itemcomment;
			$_POST['category_id'] 		= $category_id;
			$_POST['tags'] 				= $row_seyret->videotags;
			$_POST['public_private'] 	= "public";
			$_POST['allow_comments'] 	= 1;
			$_POST['allow_embedding'] 	= 1;
			$_POST['allow_ratings'] 	= 1;
			$_POST['video_length'] 		= $row_seyret->playtime;
			$_POST['date_uploaded'] 	= date('Y-m-d H:i:s');
			$_POST['approved'] 			= "yes";
			$_POST['user_id'] 			= $row_seyret->addedby;
			$_POST['published'] 		= $row_seyret->published;


			// bind it to the table
			if (!$row->bind($_POST)) {
				echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
				exit();
			}

			// store it in the db
			if (!$row->store()) {
				echo "<script> alert('".$row -> getError()."'); window.history.go(-1); </script>\n";
				exit();
			}
		}

		$msg = "Successully imported ".$n." videos";
		$mainframe->enqueueMessage($msg);
		$mainframe->redirect( JURI::root( true ) . '/administrator/index2.php?option='.$option.'&task=import' );
	}
	/**
	* Import Data
	*/
	function seyretImportUndo($option)
	{
		global $mainframe;
		$db = & JFactory::getDBO();

		// import categories
		$db->SetQuery("DELETE FROM #__hwdvidsvideos WHERE video_type = \"seyret\"");
		$db->Query();
		if ( !$db->query() ) {
			echo "<script> alert('".$db->getErrorMsg()."'); window.history.go(-1); </script>\n";
			exit();
		}

		$msg = "Successully removed all video in hwdVideoShare that where originally imported from Seyret";
		$mainframe->enqueueMessage($msg);
		$mainframe->redirect( JURI::root( true ) . '/administrator/index2.php?option='.$option.'&task=import' );
	}
	/**
	* Import Data
	*/
	function scanDirectory($option)
	{
		global $mainframe;

		$strDirName = Jrequest::getVar( 'directory', '' );
		if (@$hndDir = opendir($strDirName)) {
			$intCount = 0;
			while (false !== ($strFilename = readdir($hndDir))) {
				if ($strFilename != "." && $strFilename != "..") {
					$file_ext = substr($strFilename, strrpos($strFilename, '.') + 1);
					if ($file_ext == "flv") { $intCount++; }
				}
			}
			closedir($hndDir);
		} else {
			echo "This directory does not exist, or you do not have permission to access it.<br />";
			exit;
			$intCount = 0;
		}

		echo $intCount." videos have been found in this directory.";
		exit;
	}
	/**
	* Import Data
	*/
	function importDirectory($option)
	{
		global $mainframe;
		$db = & JFactory::getDBO();
		$c = hwd_vs_Config::get_instance();

		$title 				= Jrequest::getVar( 'title', 'Unknown' );
		$description 		= Jrequest::getVar( 'description', 'Unknown' );
		$category_id 		= JRequest::getInt( 'category_id', 0, 'post' );
		$tags 				= Jrequest::getVar( 'tags', 'None', 'post' );
		$public_private 	= JRequest::getWord( 'public_private', 'Public', 'post');
		$allow_comments 	= JRequest::getInt( 'allow_comments', 0, 'post' );
		$allow_embedding 	= JRequest::getInt( 'allow_embedding', 0, 'post' );
		$allow_ratings 		= JRequest::getInt( 'allow_ratings', 0, 'post' );

		if (empty($title)) { $title="Unknown"; }
		if (empty($description)) { $description="Unknown"; }
		if (empty($tags)) { $description="None"; }

		$strDirName = Jrequest::getVar( 'directory', '' );
		if (@$hndDir = opendir($strDirName)) {
			$intCount = 0;
			while (false !== ($strFilename = readdir($hndDir))) {
				if ($strFilename != "." && $strFilename != "..") {
					$file_ext = substr($strFilename, strrpos($strFilename, '.') + 1);
					if ($file_ext == "flv") {

						if ($c->requiredins) {
							$file_video_id = hwd_vs_tools::generateNewVideoid();
							$fileOriginal = $strDirName."/".$strFilename;
							$fileNew      = JPATH_SITE ."/hwdvideos/uploads/originals/".$file_video_id.".flv";

							$_POST['video_id'] 		= $file_video_id.".flv";
							$_POST['approved'] 		= "queuedforthumbnail";
						} else {
							$file_video_id = hwd_vs_tools::generateNewVideoid();
							$fileOriginal = $strDirName."/".$strFilename;
							$fileNew      = JPATH_SITE ."/hwdvideos/uploads/".$file_video_id.".flv";

							$_POST['video_id'] 		= $file_video_id;
							if ($c->aav == 1) {
								$_POST['approved'] = "yes";
							} else {
								$_POST['approved'] = "pending";
							}
						}

						if (copy($fileOriginal, $fileNew)) {

							$row = new hwdvids_video($db);

							$_POST['video_type'] 		= "local";
							$_POST['title'] 			= $title;
							$_POST['description'] 		= $description;
							$_POST['category_id'] 		= $category_id;
							$_POST['tags'] 				= $tags;
							$_POST['public_private'] 	= $public_private;
							$_POST['allow_comments'] 	= $allow_comments;
							$_POST['allow_embedding'] 	= $allow_embedding;
							$_POST['allow_ratings'] 	= $allow_ratings;
							$_POST['date_uploaded'] 	= date('Y-m-d H:i:s');
							$_POST['user_id'] 			= "0";
							$_POST['published'] 		= "1";
							$_POST['video_length'] 		= "0:00:00";

							// bind it to the table
							if (!$row->bind($_POST)) {
								echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
								exit();
							}

							// store it in the db
							if (!$row->store()) {
								echo "<script> alert('".$row -> getError()."'); window.history.go(-1); </script>\n";
								exit();
							}
						} else {
							// NO COPY
						}

					$intCount++;

					}
				}
			}
			closedir($hndDir);
		} else {
			$msg = "This directory does not exist, or you do not have permission to access it. No videos have been imported.";
			$mainframe->enqueueMessage($msg);
			$mainframe->redirect( JURI::root( true ) . '/administrator/index2.php?option='.$option.'&task=import' );
		}
		// send upload to converter if required
		if ($c->requiredins == 1) {
			if ($c->autoconvert == "direct") {
				@exec("env -i $s->phppath ".HWDVIDSPATH."/converters/converter.php &>/dev/null &");
			} else if ($c->autoconvert == "wget") {
				@exec("env -i $s->wgetpath -O - -q ".$mosConfig_live_site."/components/com_hwdvideoshare/converters/converter.php &>/dev/null &");
			}
		}
		$msg = $intCount." videos have been imported from this server directory.";
		$mainframe->enqueueMessage($msg);
		$mainframe->redirect( JURI::root( true ) . '/administrator/index2.php?option='.$option.'&task=import' );

	}
	/**
	* check valid URL
	*/
	function is_valid_url ( $url )
	{
		$theresults = ereg("^[a-zA-Z0-9]+://[^ ]+$", $url, $trashed);
		if ($theresults) {
			return true;
		} else {
			return false;
		}
	}
}
?>