{* 
//////
//    @version 2.1.1 Build 21106 Alpha [ Drury ]
//    @package hwdVideoShare
//    @copyright 2008 Highwood Design
//    @license http://creativecommons.org/licenses/by-nc-nd/3.0/
//////
//    hwdVideoShare Template System:::This template system uses the Smarty Template Engine. 
//    For full documentation, including syntax usage please refer to http://www.smarty.net 
//    or our website at http://www.hwdmediashare.co.uk   
//////
*}

<div style="text-align:left;padding:5px;margin:5px;border:1px solid #ccc;background:#f5f5ee;">
  <h3>Import Videos from Seyret</h3>
  Documentation: <a href="http://documentation.hwdmediashare.co.uk/wiki/Import_Videos_from_Seyret" target="_blank">http://documentation.hwdmediashare.co.uk/wiki/Import_Videos_from_Seyret</a>
  <p>This feature can be used to import videos from Seyret.</p>
</div>

{if $seyretinstalled}
  <div style="border:1px solid #458B00;color:#333333;background:#dfead5;font-weight: bold;text-align:left;padding:5px;margin:5px;">
    Seyret is installed on this Joomla website and you can import {$seyretitems} videos.
  </div>
  <div style="text-align:left;padding:5px;margin:5px;border:1px solid #ccc;">
    <h3>Import {$seyretitems} videos from Seyret</h3>
	<form name="seyretimport" action="index2.php" method="post">

<table cellpadding="4" cellspacing="1" border="0">
  <tr>
    <td valign="top">Import from Seyret category:</td>
    <td valign="top">{$seyretcatsel}</td>
  </tr>
  <tr>
    <td valign="top">Import into hwdVideoShare category:</td>
    <td valign="top">{$categoryselect}</td>
  </tr>
</table>
	
	
	<input type="submit" value="Import Now" />
	<input type="hidden" name="limitstart" value="0" />
	<input type="hidden" name="boxchecked" value="0" />
	<input type="hidden" name="option" value="com_hwdvideoshare" />	
	<input type="hidden" name="task" value="seyretImport" />
	<input type="hidden" name="hidemainmenu" value="0">
	</form>
    <h3>Remove all videos imported from Seyret<h3>
	<form name="seyretimport" action="index2.php" method="post">
	<input type="submit" value="Undo Import Now"/>
	<input type="hidden" name="limitstart" value="0" />
	<input type="hidden" name="boxchecked" value="0" />
	<input type="hidden" name="option" value="com_hwdvideoshare" />
	<input type="hidden" name="task" value="seyretImportUndo" />
	<input type="hidden" name="hidemainmenu" value="0">
	</form>
  </div>
{else}
  <div style="border:1px solid #c30;color:#333333;background:#e9ddd9;font-weight: bold;text-align:left;padding:5px;margin:5px;">
    Seyret is not installed on this Joomla website. You can not import any videos from Seyret.
  </div>
{/if}





