<?php
//******************************************************************************************************
//   ATTENTION: THIS FILE HEADER MUST REMAIN INTACT. DO NOT DELETE OR MODIFY THIS FILE HEADER.
//
//   Name: ubr_default_config.php
//   Revision: 1.4
//   Date: 2/18/2008 5:36:25 PM
//   Link: http://uber-uploader.sourceforge.net
//   Initial Developer: Peter Schmandra  http://www.webdice.org
//   Description: Configure upload options
//
//   Licence:
//   The contents of this file are subject to the Mozilla Public
//   License Version 1.1 (the "License"); you may not use this file
//   except in compliance with the License. You may obtain a copy of
//   the License at http://www.mozilla.org/MPL/
//
//   Software distributed under the License is distributed on an "AS
//   IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
//   implied. See the License for the specific language governing
//   rights and limitations under the License.
//********************************************************************************************************
//   This file has been modified (April 2008) by Highwood Design for integration with hwdVideoShare
//********************************************************************************************************
global $mosConfig_live_site;
define( 'UUCONFIGPATH', dirname(__FILE__) );
$chwd = hwd_vs_Config::get_instance();

$chwd->maxupld = $chwd->maxupld * 1024 * 1024;
if ($chwd->requiredins == 1) {
	$allowed_formats = "";
	if ($chwd->ft_mpg == "on") {$allowed_formats .= "mpg|";}
	if ($chwd->ft_mpeg == "on") {$allowed_formats .= "mpeg|";}
	if ($chwd->ft_avi == "on") {$allowed_formats .=  "avi|";}
	if ($chwd->ft_divx == "on") {$allowed_formats .=  "divx|";}
	if ($chwd->ft_mp4 == "on") {$allowed_formats .=  "mp4|";}
	if ($chwd->ft_flv == "on") {$allowed_formats .=  "flv|";}
	if ($chwd->ft_wmv == "on") {$allowed_formats .=  "wmv|";}
	if ($chwd->ft_rm == "on") {$allowed_formats .=  "rm|";}
	if ($chwd->ft_mov == "on") {$allowed_formats .=  "mov|";}
	if ($chwd->ft_moov == "on") {$allowed_formats .=  "moov|";}
	if ($chwd->ft_asf == "on") {$allowed_formats .=  "asf|";}
	if ($chwd->ft_swf == "on") {$allowed_formats .=  "swf|";}
	if ($chwd->ft_vob == "on") {$allowed_formats .=  "vob";}

		$oformats = explode(",", $c->oformats);
		for ($i = 0, $n = count($oformats); $i < $n; $i++)
		{
			$oformat = $oformats[$i];
			$oformat = preg_replace("/[^a-zA-Z0-9s]/", "", $oformat);
			$allowed_formats .=  $oformat."|";
		}

} else {
	$allowed_formats =  "flv";
}
if (substr($allowed_formats, -1) == "|") {$allowed_formats = substr($allowed_formats, 0, -1);}

$_CONFIG['config_file_name']                      = 'ubr_default_config';
$_CONFIG['upload_dir']                            = UUCONFIGPATH . '/../../../../hwdvideos/uploads/originals/';
$_CONFIG['multi_upload_slots']                    = 0;
$_CONFIG['max_upload_slots']                      = 1;
$_CONFIG['embedded_upload_results']               = 0;
$_CONFIG['check_file_name_format']                = 1;
$_CONFIG['check_null_file_count']                 = 1;
$_CONFIG['check_duplicate_file_count']            = 1;
$_CONFIG['show_percent_complete']                 = 1;
$_CONFIG['show_files_uploaded']                   = 0;
$_CONFIG['show_current_position']                 = 1;
$_CONFIG['show_elapsed_time']                     = 1;
$_CONFIG['show_est_time_left']                    = 1;
$_CONFIG['show_est_speed']                        = 1;
$_CONFIG['cedric_progress_bar']                   = 1;
$_CONFIG['progress_bar_width']                    = 400;
$_CONFIG['unique_upload_dir']                     = 0;
$_CONFIG['unique_file_name']                      = 1;
$_CONFIG['unique_file_name_length']               = 16;
$_CONFIG['max_upload_size']                       = $chwd->maxupld; //(5 * 1024 * 1024 = 5242880 = 5MB)
$_CONFIG['overwrite_existing_files']              = 0;
$_CONFIG['redirect_url']                          = ''; // **hwdvideoshare** Perl script modified
$_CONFIG['redirect_using_location']               = 0;
$_CONFIG['redirect_using_html']                   = 1;
$_CONFIG['redirect_using_js']                     = 0;
$_CONFIG['check_allow_extensions_on_client']      = 1;
$_CONFIG['check_disallow_extensions_on_client']   = 0;
$_CONFIG['check_allow_extensions_on_server']      = 1;
$_CONFIG['check_disallow_extensions_on_server']   = 0;
$_CONFIG['allow_extensions']                      = '('.$allowed_formats.')';            // Include file extentions you want to upload
$_CONFIG['disallow_extensions']                   = '(sh|php|php3|php4|php5|py|shtml|phtml|cgi|pl|plx|htaccess|htpasswd)';  // Add more extensions but do not remove the ones already present
$_CONFIG['normalize_file_names']                  = 1;
$_CONFIG['normalize_file_delimiter']              = '_';
$_CONFIG['normalize_file_length']                 = 48;
$_CONFIG['link_to_upload']                        = 0;
$_CONFIG['path_to_upload']                        = 'http://'. $_SERVER['HTTP_HOST'] . '/ubr_uploads/'; //Used for web link
$_CONFIG['send_email_on_upload']                  = 0;
$_CONFIG['html_email_support']                    = 0;
$_CONFIG['link_to_upload_in_email']               = 0;
$_CONFIG['email_subject']                         = 'hwdVideoShare Video Upload';
$_CONFIG['to_email_address']                      = 'email1@yoursite.com,email2@yoursite.com';
$_CONFIG['from_email_address']                    = 'admin@yoursite.com';
$_CONFIG['log_uploads']                           = 0;
$_CONFIG['log_dir']                               = '/tmp/ubr_logs/';
$_CONFIG['opera_browser']                         = (strstr(getenv("HTTP_USER_AGENT"), "Opera"))  ? 1 : 0;
$_CONFIG['safari_browser']                        = (strstr(getenv("HTTP_USER_AGENT"), "Safari")) ? 1 : 0;

?>