<?php
	/**
	* Module Camp26 Visitor Data For Joomla 1.5.x
	* Version		: 1.1
	* Created by	: Denny Setiarika Pirhadi - Camp26.Com Team
	* Email			: camp26team@gmail.com
	* License 		: GPLv2.0 - http://www.gnu.org/licenses/gpl-2.0.html
	* Created on	: 02 May 2008
	* Latest Update	: 26 December 2008
	* URL			: www.camp26.com
	* based on GeoIP (www.maxmind.com)
	*/

// no direct access
defined('_JEXEC') or die('Restricted access');

echo '<div align="left">';
	$fromCaption = $params->get('fromCaption','Your IP');
	$browserCaption = $params->get('browserCaption','Browser');
	$osCaption = $params->get('osCaption','Operating System');
	$imgURL = "http://zonakhusus.camp26.com/world_flags/";

	include("./modules/mod_VisitorData/inc_VisitorData/geoip.inc");
	$geoip = geoip_open("./modules/mod_VisitorData/inc_VisitorData/GeoIP.dat", GEOIP_STANDARD);
	$kode_negara = strtolower(geoip_country_code_by_addr($geoip, $_SERVER["REMOTE_ADDR"]));
	$nama_negara = geoip_country_name_by_addr($geoip, $_SERVER["REMOTE_ADDR"]);

	if (isset($_SERVER['HTTP_X_FORWARDED_FOR'])) {
		echo "<strong>Proxy</strong><br/>";
		echo $_SERVER['HTTP_VIA']." ".$_SERVER['REMOTE_ADDR'];
		echo "<br/><img src=\"".$imgURL."flag_".$kode_negara.".gif\" width=\"18\" height=\"12\" alt=\"".$nama_negara."\" /> " . $nama_negara;
		echo "<br/><strong>".$fromCaption."</strong><br/>";
		echo $_SERVER["HTTP_X_FORWARDED_FOR"];
		$kode_negara = strtolower(geoip_country_code_by_addr($geoip, $_SERVER["HTTP_X_FORWARDED_FOR"]));
		$nama_negara = geoip_country_name_by_addr($geoip, $_SERVER["HTTP_X_FORWARDED_FOR"]);
	}else{
		echo "<strong>".$fromCaption."</strong><br/>";
		echo $_SERVER['REMOTE_ADDR'];
	}

	echo "<br/>";

	echo "<img src=\"".$imgURL."/flag_".$kode_negara.".gif\" width=\"18\" height=\"12\" alt=\"".$nama_negara."\" /> " . $nama_negara;

	geoip_close($geoip);

	if (isset($_SERVER['HTTP_X_FORWARDED_FOR'])) {
		$whois ="whois " . $_SERVER['HTTP_X_FORWARDED_FOR'] ." | grep netname";
	}
	else{
		$whois ="whois " . $_SERVER['REMOTE_ADDR'] ." | grep netname";
	}

	$isp_user = exec($whois);
	$user_isp = substr($isp_user,9);
	echo " : " . $user_isp;

	$browser_user = getenv("HTTP_USER_AGENT");
	if (preg_match("/MSIE/",$browser_user)) {
		$agent_user ="Internet Explorer";
		$nama_browser = "ie";
	} elseif (preg_match("/Firefox/",$browser_user)) {
		$agent_user ="Firefox";
		$nama_browser = "firefox";
	} elseif (preg_match("/Opera/",$browser_user)) {
		$agent_user ="Opera";
		$nama_browser = "opera";
	} elseif (strpos($browser_user,'Chrome')) {
		$agent_user ="Chrome";
		$nama_browser = "chrome";
	} elseif (preg_match("/Safari/",$browser_user)) {
		$agent_user ="Safari";
		$nama_browser = "safari";
	} else {
		$agent_user ="Unknown Browser";
		$nama_browser = "N_A";
	}

	if (preg_match("/Windows/",$browser_user)) {
		$os_user ="Windows";
		$nama_os = "windows";
	} elseif (preg_match("/Linux/",$browser_user)) {
		$os_user ="Linux";
		$nama_os = "linux";
	} elseif (preg_match("/Macintosh/",$browser_user)) {
		$os_user ="Macintosh";
		$nama_os = "macintosh";
	} else {
		$os_user ="Unknown Operating System";
		$nama_os = "N_A";
	}

	echo "<br/><strong>".$browserCaption."</strong><br/>";
	if ($agent_user=="Chrome")
	{echo '<img src="modules/mod_VisitorData/inc_VisitorData/google_chrome_logo.jpg" width="18" height="18" alt="Google Chrome" />';
	} else
	{
	echo "<img src=\"".$imgURL.$nama_browser.".gif\" width=\"18\" height=\"18\" alt=\"".$agent_user."\" /> ";
	}
	echo $agent_user;

	echo "<br/><strong>".$osCaption."</strong><br/>";
	echo "<img src=\"".$imgURL.$nama_os.".gif\" width=\"18\" height=\"18\" alt=\"".$os_user."\" /> ";
	echo $os_user;
	echo '</div>';
?>
