<?php
/**
 *    @version 2.1.1 Build 21106 Alpha [ Drury ]
 *    @package hwdVideoShare
 *    @copyright (C) 2007 - 2009 Highwood Design
 *    @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 ***
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

define('CONVERTPATH', dirname(__FILE__) );

// get joomla configuration
include(CONVERTPATH."/../../../configuration.php");

// get hwdVideoShare general settings
include(CONVERTPATH."/../../../administrator/components/com_hwdvideoshare/config.hwdvideoshare.php");
$c = hwd_vs_Config::get_instance();

// get hwdVideoShare server settings
include(CONVERTPATH."/../../../administrator/components/com_hwdvideoshare/serverconfig.hwdvideoshare.php");
$s = hwd_vs_SConfig::get_instance();

// generate random batch id to avoid duplicate conversions
$batch = rand(100, 999);

echo "<html><head><link type=\"text/css\" rel=\"stylesheet\" href=\"../core/converter.css\" /></head><body>";

// information box

echo "<div id=\"floatdiv\" class=\"infobox\"><div id=\"indicator\">";
echo "<h3><img src=\"./../../../components/com_hwdvideoshare/images/processing.gif\" /> Progressing Videos...</h3>";
echo "</div><div><a href=\"./converter_internal.php\">Reprocess Conversions</a></div></div>";
echo "<script type=\"text/javascript\" src=\"../js/float.js\"></script>";

// get the Joomla config info
$row = new JConfig;

// Make a database connection to the Joomla database
echo "<div class=\"box\"><div><h2>Connecting to Database</h2></div>";
$dbconnect = mysql_connect($row->host, $row->user, $row->password);
if (!$dbconnect) {
    die('Could not connect: ' . mysql_error());
}
echo "<div class=\"success\">SUCCESS: Connected successfully to Joomla SQL server</div>";
$db_selected = mysql_select_db($row->db, $dbconnect);
if (!$db_selected) {
    die ('Can\'t use Joomla database : ' . mysql_error());
}
echo "<div class=\"success\">SUCCESS: Connected successfully to Joomla SQL database</div>";
echo "</div>";

// write to log
$file_contents = 'hwdVideoShare started video conversion @ '.date('Y-m-d H:i:s')."\n".'----------------------------------------------------------' ."\n";
writelog($file_contents);

// load path to video files
$path_base = CONVERTPATH."/../../../hwdvideos";

// shared library
$sharedlib = null;
if ($c->sharedlibrarypath !== "") {
	$sharedlib = "export LD_LIBRARY_PATH=$c->sharedlibrarypath;";
}

// select videos that are waiting conversion
$sql_1 = "SELECT * FROM ".$row->dbprefix."hwdvidsvideos where approved ='queuedforconversion'";
$query_1 = @mysql_query($sql_1) or die('error: ' . mysql_error());

while ($result = @mysql_fetch_array($query_1)) {
	$filename_original = $result['video_id'];
	//set current video to "converting[$batch]"
	$sql1 = "UPDATE ".$row->dbprefix."hwdvidsvideos SET approved = 'converting_$batch' WHERE video_id = '$filename_original'";
	@mysql_query($sql1) or die('error: ' . mysql_error());
}

// select videos that are waiting conversion
$sql = "SELECT * FROM ".$row->dbprefix."hwdvidsvideos where approved ='converting_$batch'";
$query = @mysql_query($sql) or die('error: ' . mysql_error());
$count = @mysql_num_rows($query);

	// check if any waiting videos
	if ($count == 0) {
		echo "<div><h2>There are no videos to convert</h2><h3>Exiting...</h3></div>";
		echo "<script type=\"text/javascript\">document.getElementById('indicator').innerHTML = \"<h3>Finished</h3>\";</script>";
	} else {
	   /**
		* Process each video file
		**/
		$n = 1;
		while ($result = @mysql_fetch_array($query)) {
		echo "<script type=\"text/javascript\">document.getElementById('indicator').innerHTML = \"<h3><img src='./../../../components/com_hwdvideoshare/images/processing.gif' /> Converting Video ".$n." of ".$count."</h3>\";</script>";
			$filename_original = $result['video_id'];
			//set current video to "converting"
			$sql1 = "UPDATE ".$row->dbprefix."hwdvidsvideos SET approved = 'converting' WHERE video_id = '$filename_original'";
			@mysql_query($sql1) or die('error: ' . mysql_error());
			//full path of raw video file
			$path_original = $path_base . '/uploads/originals/' . $filename_original;
			//get filename and extension
			list($filename_noext, $filename_ext) = @split('\.', $filename_original);
			$path_new = $path_base . "/uploads/" . $filename_noext . ".flv";
		   /******************************************
			******************************************
			* CONVERT VIDEOS TO FLV FORMAT
			* mencoder
			**/
			// Make a database connection to the Joomla database
			//$dbconnect=mysql_connect ($row->host, $row->user, $row->password) or die ('Cannot connect to the database.');
			//mysql_select_db($row->db, $dbconnect) or die (" Database not found.");

			$wmvfix = null;
			if ($filename_ext == "wmv") {
				if ($c->applywmvfix == "1") {
					$wmvfix = "-ofps 25";
				}
			}

			echo "<div class=\"box\"><div><h2>Converting Video (File ".$n." of ".$count.")</h2></div>";
			if ($c->encoder == "MENCODER") {
				$c->cnvt_fsize = str_replace("x", ":", $c->cnvt_fsize);
				$cmd_mencoder = "$s->mencoderpath $path_original -o $path_new -of lavf -oac mp3lame -lameopts abr:br=$c->cnvt_abitrate -ovc lavc $wmvfix -lavcopts vcodec=flv:vbitrate=$c->cnvt_vbitrate:mbd=2:mv0:trell:v4mv:cbp:last_pred=3 -lavfopts i_certify_that_my_video_stream_does_not_use_b_frames -vf scale=$c->cnvt_fsize -srate $c->cnvt_asr $c->customencode";
				@exec("$sharedlib $cmd_mencoder 2>&1", $output1);
				if(!file_exists($path_new)){
					$cmd_mencoder = "$s->mencoderpath $path_original -o $path_new -of lavf -oac mp3lame -lameopts abr:br=$c->cnvt_abitrate -ovc lavc $wmvfix -lavcopts vcodec=flv:vbitrate=$c->cnvt_vbitrate:mbd=2:mv0:trell:v4mv:cbp:last_pred=3 -lavfopts i_certify_that_my_video_stream_does_not_use_b_frames -vop scale=$c->cnvt_fsize -srate $c->cnvt_asr $c->customencode";
					@exec("$sharedlib $cmd_mencoder 2>&1", $output1);
				}
				if(!file_exists($path_new)){
					$cmd_mencoder = "$s->mencoderpath $path_original -o $path_new -of lavf -oac mp3lame -lameopts abr:br=$c->cnvt_abitrate -ovc lavc $wmvfix -lavcopts vcodec=flv:vbitrate=$c->cnvt_vbitrate:mbd=2:mv0:trell:v4mv:cbp:last_pred=3 -vop scale=$c->cnvt_fsize -srate $c->cnvt_asr $c->customencode";
					@exec("$sharedlib $cmd_mencoder 2>&1", $output1);
				}
				if(!file_exists($path_new)){
					$cmd_mencoder = "$s->mencoderpath $path_original -o $path_new -of lavf -oac mp3lame -lameopts abr:br=$c->cnvt_abitrate -ovc lavc $wmvfix -lavcopts vcodec=flv:vbitrate=$c->cnvt_vbitrate:mbd=2:mv0:trell:v4mv:cbp:last_pred=3 -vf scale=$c->cnvt_fsize -srate $c->cnvt_asr $c->customencode";
					@exec("$sharedlib $cmd_mencoder 2>&1", $output1);
				}
			} else if ($c->encoder == "FFMPEG") {
				$cmd_mencoder = "$s->ffmpegpath -y -i $path_original -ab $c->cnvt_abitrate*1000 -ar $c->cnvt_asr -b $c->cnvt_vbitrate*1000 -s $c->cnvt_fsize $c->customencode $path_new";
				@exec("$sharedlib $cmd_mencoder 2>&1", $output1);
			}

			if(!file_exists($path_new)){
				echo "<div class=\"error\">ERROR: Problem with ".$c->encoder." - No Videos converted.</div>";
			} else if(filesize($path_new) == 0){
				echo "<div class=\"error\">ERROR: Problem with ".$c->encoder." - Output video has zero filesize.</div>";
			} else if(file_exists($path_new) && (filesize($path_new) > 0)){
				echo "<div class=\"success\">SUCCESS: FLV File Created</div>";
			}
			echo "<div><b>".$c->encoder." INPUT</b></div><div><textarea rows=\"3\" cols=\"50\" style=\"width:90%\">".$cmd_mencoder."</textarea></div><div><b>".$c->encoder." OUTPUT</b></div><div><textarea rows=\"3\" cols=\"50\" style=\"width:90%\">";
				$sop_conversion = $cmd_mencoder . "\n";//file line of debug
				foreach ($output1 as $outputline1) {
					$sop_conversion = $sop_conversion . $outputline1 . "\n";
						$outputline1 = strip_tags($outputline1)."\n";
						echo $outputline1;
				}
			echo "</textarea></div></div>";
			if(!file_exists($path_new) || (filesize($path_new) == 0)){
				$sqlaa = "UPDATE ".$row->dbprefix."hwdvidsvideos SET approved='queuedforconversion' WHERE video_id = '$filename_original'";
				@mysql_query($sqlaa) or die('error: ' . mysql_error());
				echo "<div class=\"abortbox\"><h2>File ".$n." of ".$count." Aborted!</h2></div>";
				$n = $n + 1;
				// write to log
				$file_contents = 'hwdVideoShare: COULD NOT CONVERT VIDEO TO FLV FORMAT' . "\n" . $cmd_mencoder . "\n".'----------------------------------------------------------' ."\n";
				writelog($file_contents);
				continue;
			}
			chmod($path_new, 0777);
			// write to log
			$file_contents = 'hwdVideoShare: CONVERTED VIDEO TO FLV FORMAT' . "\n" . $cmd_mencoder . "\n".'----------------------------------------------------------' ."\n";
			writelog($file_contents);
		   /******************************************
			******************************************
			* FLASH META DATA MANIPULATION (INSERT onMetaData TAG)
			* flvtool2
			**/
			// Make a database connection to the Joomla database
			//$dbconnect=mysql_connect ($row->host, $row->user, $row->password) or die ('Cannot connect to the database.');
			//mysql_select_db($row->db, $dbconnect) or die (" Database not found.");
			echo "<div class=\"box\"><div><h2>Injecting Meta Data (File ".$n." of ".$count.")</h2></div>";
			$cmd_flvtool2 = $s->flvtool2path." -U ".$path_new;
			if (!@exec("$sharedlib $cmd_flvtool2 2>&1", $output2)) {
				echo "<div class=\"success\">SUCCESS: Executed FLVTOOL2</div>";
			} else {
			echo "<div class=\"error\">ERROR: Could Not Execute FLVTOOL2</div>";
			}
			echo "<div><b>FLVTOOL INPUT</b></div><div><textarea rows=\"3\" cols=\"50\" style=\"width:90%\">".$cmd_flvtool2."</textarea></div><div><b>FLVTOOL2 OUTPUT (A blank screen means no errors!)</b></div><div><textarea rows=\"2\" cols=\"50\" style=\"width:90%\">";
			$sop_metainjection = $cmd_flvtool2 . "\n";//file line of debug
			foreach ($output2 as $outputline2) {
				$sop_metainjection = $sop_metainjection . $outputline2 . "\n";
				$outputline2 = strip_tags($outputline2)."/n";
				echo $outputline2;
			}
			echo "</textarea></div></div>";
			// write to log
			$file_contents = 'hwdVideoShare: FLASH META DATA INJECTED' . "\n" . $cmd_flvtool2 . "\n".'----------------------------------------------------------' ."\n";
			writelog($file_contents);
		   /******************************************
			******************************************
			* GET VIDEO LENGTH
			* ffmpeg-php / grep from mencoder output
			**/
			// Make a database connection to the Joomla database
			//$dbconnect=mysql_connect ($row->host, $row->user, $row->password) or die ('Cannot connect to the database.');
			//mysql_select_db($row->db, $dbconnect) or die (" Database not found.");
			echo "<div class=\"box\"><div><h2>Retriving Video Length (File ".$n." of ".$count.")</h2></div>";

			$extension = "ffmpeg";
			$extension_soname = $extension . "." . PHP_SHLIB_SUFFIX;
			$extension_fullname = PHP_EXTENSION_DIR . "/" . $extension_soname;
			// Try to load extension
			if(extension_loaded($extension)) {
				$video_info = @new ffmpeg_movie($path_new); //duration of new flv file.
				$sec = @$video_info->getDuration(); // Gets the duration in secs.
			// If extension is not loaded, don't try! Instead, grep for duration from shell output.
			} else if(!extension_loaded($extension)) {
				if ($c->encoder == "MENCODER") {
					if (@preg_match('/Video stream:.*bytes..(.*?).sec/', $sop_conversion, $regs)) {
						$sec = $regs[1];
					} else {
						$sec = "";
					}
				} else if ($c->encoder == "FFMPEG") {
					if (@preg_match('/Duration:.(.*?),.start/', $sop_conversion, $regs)) {
						$sec = hms2sec($regs[1]);
					} else {
						$sec = "";
					}
				}
			}

			//continue with rest of process
			if ($sec == "" || !is_numeric($sec)) {
				$sec = 2;
			}
			$duration = sec2hms($sec);//covert to 00:00:00 i.e. hrs:min:sec

			//get the middle of the movie (time; 00:00:00 format) for thumbnail
			$sec2 = $sec / 2;
			$sec2 = @round($sec2);
			$thumb_position = sec2hms($sec2);

			if ($sec != 2) {
				echo "<div class=\"success\">SUCCESS: Thumbnail image will be taken at ".$thumb_position."</div>";
			} else {
				echo "<div class=\"error\">ERROR: Could not determine video duration</div>";
			}
			echo "</div>";

			// write to log
			$file_contents = 'hwdVideoShare: FFMPEG-PHP DURATION ' . $duration . "\n".'----------------------------------------------------------' ."\n";
			writelog($file_contents);
		   /******************************************
			******************************************
			* CREATE THUMBNAIL IMAGE
			* ffmpeg
			**/
			// Make a database connection to the Joomla database
			//$dbconnect=mysql_connect ($row->host, $row->user, $row->password) or die ('Cannot connect to the database.');
			//mysql_select_db($row->db, $dbconnect) or die (" Database not found.");
			echo "<div class=\"box\"><div><h2>Taking Video Thumbnail (File ".$n." of ".$count.")</h2></div>";

			$path_thumb = $path_base . '/thumbs/' . $filename_noext .'.jpg';
			$path_dthumb = $path_base . '/thumbs/' . $filename_noext .'.gif';

			$cmd_ffmpeg = "$s->ffmpegpath -i $path_new -ss $thumb_position -t 00:00:01 -s 120x90 -r 1 -f mjpeg $path_thumb";
			@exec("$sharedlib $cmd_ffmpeg 2>&1", $output4);

			$cmd_ffmpeg = "$s->ffmpegpath -i $path_new -pix_fmt rgb24 -r 1 -loop_output 0 -ss 5 -t 10 -s 120x90 -f gif $path_dthumb";
			@exec("$sharedlib $cmd_ffmpeg 2>&1", $output5);

		   /**
			* Check thumbnail exists
			* Use alternative method if necessary
			**/
			if ( @!file_exists($path_thumb) || (@filesize($path_thumb) == 0) ) {
				$cmd_ffmpeg = "$s->ffmpegpath -i $path_new -ss $thumb_position -t 00:00:01 -s 120x90 -r 1 -f image2 $path_thumb";
				//execute and record output to variable
				@exec("$sharedlib $cmd_ffmpeg 2>&1", $output4);
			}

		   /**
			* Check thumbnail exists and has a positive filesize
			* If missing or empty then run both methods again at 2 seconds
			**/
			$sec = 2;
			$sec2 = $sec / 2;
			$sec2 = @round($sec2);
			$thumb_position = sec2hms($sec2);
			if ( @!file_exists($path_thumb) || (@filesize($path_thumb) == 0) ) {
				$cmd_ffmpeg = "$s->ffmpegpath -i $path_new -ss $thumb_position -t 00:00:01 -s 120x90 -r 1 -f mjpeg $path_thumb";
				//execute and record output to variable
				@exec("$sharedlib $cmd_ffmpeg 2>&1", $output4);
			}
			if ( @!file_exists($path_thumb) || (@filesize($path_thumb) == 0) ) {
				$cmd_ffmpeg = "$s->ffmpegpath -i $path_new -ss $thumb_position -t 00:00:01 -s 120x90 -r 1 -f image2 $path_thumb";
				//execute and record output to variable
				@exec("$sharedlib $cmd_ffmpeg 2>&1", $output4);
			}

			if(!file_exists($path_thumb)){
				echo "<div class=\"error\">ERROR: Problem with FFMPEG, could not take thumbnail image</div>";
				// write to log
				$file_contents = 'hwdVideoShare: THUMBNAIL IMAGE COULD NOT BE CREATED' . "\n" . $cmd_ffmpeg . "\n".'----------------------------------------------------------' ."\n";
				writelog($file_contents);
			} else {
				echo "<div class=\"success\">SUCCESS: Thumbnail image successfully taken</div>";
				// write to log
				$file_contents = 'hwdVideoShare: THUMBNAIL IMAGE CREATED [image2 method]' . "\n" . $cmd_ffmpeg . "\n".'----------------------------------------------------------' ."\n";
				writelog($file_contents);
			}
			echo "<div><b>FFMPEG INPUT</b></div><div><textarea rows=\"3\" cols=\"50\" style=\"width:90%\">".$cmd_ffmpeg."</textarea></div><div><b>FFMPEG OUTPUT</b></div><div><textarea rows=\"3\" cols=\"50\" style=\"width:90%\">";
			$sop_thumbcreation = $cmd_ffmpeg . "\n";//file line of debug
			foreach ($output4 as $outputline4) {
				$sop_thumbcreation = $sop_thumbcreation . $outputline4 . "\n";
				$outputline4 = strip_tags($outputline4)."\n";
				echo $outputline4;
			}
			echo "</textarea></div></div>";
			if($c->abortthumbfail == 1){
				if(!file_exists($path_thumb)){
					$sqlaa = "UPDATE ".$row->dbprefix."hwdvidsvideos SET approved='queuedforconversion' WHERE video_id = '$filename_original'";
					@mysql_query($sqlaa) or die('error: ' . mysql_error());
					if (@file_exists("$path_new")) {
						@unlink($path_new);
					}
					echo "<div class=\"abortbox\"><h2>File ".$n." of ".$count." Aborted!</h2></div>";
					$n = $n + 1;
					continue;
				}
			}
		   /******************************************
			******************************************
			* UPDATE APPROVAL STATUS IN DATABASE
			* sql
			**/
			// Make a database connection to the Joomla database
			//$dbconnect=mysql_connect ($row->host, $row->user, $row->password) or die ('Cannot connect to the database.');
			//mysql_select_db($row->db, $dbconnect) or die (" Database not found.");
			echo "<div class=\"box\"><div><h2>Finishing Conversion (File ".$n." of ".$count.")</h2></div>";
		   /**
			* Set status to pending
			**/
			echo "<div><b>UPDATING STATUS TO PENDING</b></div>";
			$sqlpending = "UPDATE ".$row->dbprefix."hwdvidsvideos SET approved='pending' WHERE video_id = '$filename_original'";
			$db_q_01 = @mysql_query($sqlpending);
				if (!$db_q_01) {
					@mysql_close($dbconnect);
					// Reconnect to database
					echo "<div class=\"box\"><div><h2>Database connection broken! Attempting to reconnect</h2></div>";
					$dbconnect=mysql_connect ($row->host, $row->user, $row->password);
					if (!$dbconnect) {
						die('Could not connect: ' . mysql_error());
					}
					echo "<div class=\"success\">SUCCESS: Connected successfully to Joomla SQL server</div>";
					$db_selected = mysql_select_db($row->db, $dbconnect);
					if (!$db_selected) {
						die ('Can\'t use Joomla database : ' . mysql_error());
					}
					echo "<div class=\"success\">SUCCESS: Connected successfully to Joomla SQL database</div>";
					echo "</div>";
					$sqlpending = "UPDATE ".$row->dbprefix."hwdvidsvideos SET approved='pending' WHERE video_id = '$filename_original'";
					@mysql_query($sqlpending) or die('error: ' . mysql_error());
				}
		   /**
			* Update video_id
			**/
			echo "<div><b>UPDATING VIDEO ID</b></div>";
			$sqludvi = "UPDATE ".$row->dbprefix."hwdvidsvideos SET video_id='$filename_noext' WHERE video_id = '$filename_original'";
			$db_q_02 = @mysql_query($sqludvi);
				if (!$db_q_02) {
					@mysql_close($dbconnect);
					// Reconnect to database
					echo "<div class=\"box\"><div><h2>Database connection broken! Attempting to reconnect</h2></div>";
					$dbconnect=mysql_connect ($row->host, $row->user, $row->password);
					if (!$dbconnect) {
						die('Could not connect: ' . mysql_error());
					}
					echo "<div class=\"success\">SUCCESS: Connected successfully to Joomla SQL server</div>";
					$db_selected = mysql_select_db($row->db, $dbconnect);
					if (!$db_selected) {
						die ('Can\'t use Joomla database : ' . mysql_error());
					}
					echo "<div class=\"success\">SUCCESS: Connected successfully to Joomla SQL database</div>";
					echo "</div>";
					$sqludvi = "UPDATE ".$row->dbprefix."hwdvidsvideos SET video_id='$filename_noext' WHERE video_id = '$filename_original'";
					@mysql_query($sqludvi) or die('error: ' . mysql_error());
				}
		   /**
			* Add duration
			**/
			echo "<div><b>UPDATING DATABASE DURATION</b></div>";
			$sqladddur = "UPDATE ".$row->dbprefix."hwdvidsvideos SET video_length='$duration' WHERE video_id = '$filename_noext'";
			$db_q_03 = @mysql_query($sqladddur);
				if (!$db_q_03) {
					@mysql_close($dbconnect);
					// Reconnect to database
					echo "<div class=\"box\"><div><h2>Database connection broken! Attempting to reconnect</h2></div>";
					$dbconnect=mysql_connect ($row->host, $row->user, $row->password);
					if (!$dbconnect) {
						die('Could not connect: ' . mysql_error());
					}
					echo "<div class=\"success\">SUCCESS: Connected successfully to Joomla SQL server</div>";
					$db_selected = mysql_select_db($row->db, $dbconnect);
					if (!$db_selected) {
						die ('Can\'t use Joomla database : ' . mysql_error());
					}
					echo "<div class=\"success\">SUCCESS: Connected successfully to Joomla SQL database</div>";
					echo "</div>";
					$sqladddur = "UPDATE ".$row->dbprefix."hwdvidsvideos SET video_length='$duration' WHERE video_id = '$filename_noext'";
					@mysql_query($sqladddur) or die('error: ' . mysql_error());
				}
		   /**
			* Auto approve?
			**/
			if ($c->aav == 1) {
			echo "<div><b>AUTOAPPROVING VIDEO</b></div>";
			$sqlaa = "UPDATE ".$row->dbprefix."hwdvidsvideos SET approved='yes' WHERE video_id = '$filename_noext'";
			$db_q_04 = @mysql_query($sqlaa);
				if (!$db_q_04) {
					@mysql_close($dbconnect);
					// Reconnect to database
					echo "<div class=\"box\"><div><h2>Database connection broken! Attempting to reconnect</h2></div>";
					$dbconnect=mysql_connect ($row->host, $row->user, $row->password);
					if (!$dbconnect) {
						die('Could not connect: ' . mysql_error());
					}
					echo "<div class=\"success\">SUCCESS: Connected successfully to Joomla SQL server</div>";
					$db_selected = mysql_select_db($row->db, $dbconnect);
					if (!$db_selected) {
						die ('Can\'t use Joomla database : ' . mysql_error());
					}
					echo "<div class=\"success\">SUCCESS: Connected successfully to Joomla SQL database</div>";
					echo "</div>";
					$sqlaa = "UPDATE ".$row->dbprefix."hwdvidsvideos SET approved='yes' WHERE video_id = '$filename_noext'";
					@mysql_query($sqlaa) or die('error: ' . mysql_error());
				}
			}
		   /**
			* Delete Original
			**/
			if ($c->deleteoriginal == 1) {
			echo "<div><b>DELETING ORIGINAL</b></div>";
				if (@file_exists("$path_new") && @file_exists("$path_original")) {
					if ($path_new != $path_original) {
						@unlink($path_original);
					}
				}
			}
		   /**
			* Finish
			**/
			echo "<div class=\"success\"><b>SUCCESS: All processes complete for file ".$n." of ".$count."</b></div>";
			// write to log
			$file_contents = 'hwdVideoShare: VIDEO CONVERSION FINISHED' . "\n".'----------------------------------------------------------' ."\n";
			writelog($file_contents);
			$n = $n + 1;
			echo "</div>";
		}
	}
   /**
	* END WHILE
	**/

// select videos that are waiting conversion
$sql = "SELECT * FROM ".$row->dbprefix."hwdvidsvideos where approved ='queuedforthumbnail'";
$query = @mysql_query($sql) or die('error: ' . mysql_error());
$count = @mysql_num_rows($query);

	// check if any waiting videos
	if ($count == 0) {
		echo "<div><h2>There are no videos waiting for thumbnail creation</h2><h3>Exiting...</h3></div>";
		echo "<script type=\"text/javascript\">document.getElementById('indicator').innerHTML = \"<h3>Finished</h3>\";</script>";
	} else {
	   /**
		* Process each video file
		**/
		$n = 1;
		while ($result = @mysql_fetch_array($query)) {
		echo "<script type=\"text/javascript\">document.getElementById('indicator').innerHTML = \"<h3><img src='./../../../components/com_hwdvideoshare/images/processing.gif' /> Creating Thumbnail for Video ".$n." of ".$count."</h3>\";</script>";
			$filename_original = $result['video_id'];
			//set current video to "converting"
			$sql1 = "UPDATE ".$row->dbprefix."hwdvidsvideos SET approved = 'converting' WHERE video_id = '$filename_original'";
			@mysql_query($sql1) or die('error: ' . mysql_error());
			//full path of raw video file
			$path_original = $path_base . '/uploads/originals/' . $filename_original;
			//get filename and extension
			list($filename_noext, $filename_ext) = @split('\.', $filename_original);
			if ($filename_ext == "flv") {
				$path_new = $path_base . "/uploads/" . $filename_noext . ".flv";
			} else if ($filename_ext == "swf") {
				$path_new = $path_base . "/uploads/" . $filename_noext . ".swf";
			}
		   /******************************************
			******************************************
			* COPYING VIDEOS INTO THE UPLAOD DIRECTORY
			* mencoder
			**/
			// Make a database connection to the Joomla database
			//$dbconnect=mysql_connect ($row->host, $row->user, $row->password) or die ('Cannot connect to the database.');
			//mysql_select_db($row->db, $dbconnect) or die (" Database not found.");

			echo "<div class=\"box\"><div><h2>Creating Thumbnail For Video (File ".$n." of ".$count.")</h2></div>";
				if(copy($path_original, $path_new)){
					echo "<div class=\"success\">SUCCESS: Original video file copied to upload directory</div>";
				} else {
					echo "<div class=\"error\">ERROR: Could not copy the original video into the upload directory. Check directory permissions.</div>";
				}
			echo "</div>";
			if(!file_exists($path_new) || (filesize($path_new) == 0)){
				$sqlaa = "UPDATE ".$row->dbprefix."hwdvidsvideos SET approved='queuedforthumbnail' WHERE video_id = '$filename_original'";
				@mysql_query($sqlaa) or die('error: ' . mysql_error());
				echo "<div class=\"abortbox\"><h2>File ".$n." of ".$count." Aborted!</h2></div>";
				$n = $n + 1;
				// write to log
				$file_contents = 'hwdVideoShare: COULD NOT COPY FLV FILE TO UPLOAD DIRECTORY' . "\n".'----------------------------------------------------------' ."\n";
				writelog($file_contents);
				continue;
			}
			chmod($path_new, 0777);
			// write to log
			$file_contents = 'hwdVideoShare: COPIED FLV FILE TO UPLOAD DIRECTORY' . "\n".'----------------------------------------------------------' ."\n";
			writelog($file_contents);
		   /******************************************
			******************************************
			* GET VIDEO LENGTH
			* ffmpeg-php / grep from mencoder output
			**/
			// Make a database connection to the Joomla database
			//$dbconnect=mysql_connect ($row->host, $row->user, $row->password) or die ('Cannot connect to the database.');
			//mysql_select_db($row->db, $dbconnect) or die (" Database not found.");
			echo "<div class=\"box\"><div><h2>Retriving Video Length (File ".$n." of ".$count.")</h2></div>";

			$extension = "ffmpeg";
			$extension_soname = $extension . "." . PHP_SHLIB_SUFFIX;
			$extension_fullname = PHP_EXTENSION_DIR . "/" . $extension_soname;
			// Try to load extension
			if(extension_loaded($extension)) {
				$video_info = @new ffmpeg_movie($path_new); //duration of new flv file.
				$sec = @$video_info->getDuration(); // Gets the duration in secs.
			// If extension is not loaded, don't try! Instead, grep for duration from shell output.
			} else if(!extension_loaded($extension)) {
				$sec = 2;
			}

			$duration = sec2hms($sec);//covert to 00:00:00 i.e. hrs:min:sec

			//get the middle of the movie (time; 00:00:00 format) for thumbnail
			$sec2 = $sec / 2;
			$sec2 = @round($sec2);
			$thumb_position = sec2hms($sec2);

				if ($sec != 2) {
					echo "<div class=\"success\">SUCCESS: Thumbnail image will be taken at ".$thumb_position."</div>";
				} else {
					echo "<div class=\"error\">ERROR: Could not determine video duration</div>";
				}
				echo "</div>";

			// write to log
			$file_contents = 'hwdVideoShare: FFMPEG-PHP DURATION ' . $duration . "\n".'----------------------------------------------------------' ."\n";
			writelog($file_contents);
		   /******************************************
			******************************************
			* CREATE THUMBNAIL IMAGE
			* ffmpeg
			**/
			// Make a database connection to the Joomla database
			//$dbconnect=mysql_connect ($row->host, $row->user, $row->password) or die ('Cannot connect to the database.');
			//mysql_select_db($row->db, $dbconnect) or die (" Database not found.");

			// need to generate first frame of swf for thumbnail

			if ($filename_ext == "swf") {
				// still in development
			} else {
				echo "<div class=\"box\"><div><h2>Taking Video Thumbnail (File ".$n." of ".$count.")</h2></div>";

				$path_thumb = $path_base . '/thumbs/' . $filename_noext .'.jpg';
				$path_dthumb = $path_base . '/thumbs/' . $filename_noext .'.gif';

				$cmd_ffmpeg = "$s->ffmpegpath -i $path_new -ss $thumb_position -t 00:00:01 -s 120x90 -r 1 -f mjpeg $path_thumb";
				@exec("$sharedlib $cmd_ffmpeg 2>&1", $output4);

				$cmd_ffmpeg = "$s->ffmpegpath -i $path_new -pix_fmt rgb24 -r 1 -loop_output 0 -ss 5 -t 10 -s 120x90 -f gif $path_dthumb";
				@exec("$sharedlib $cmd_ffmpeg 2>&1", $output4);

			   /**
				* Check thumbnail exists
				* Use alternative method if necessary
				**/

				if (@!file_exists($path_thumb)) {
					$cmd_ffmpeg = "$s->ffmpegpath -i $path_new -ss $thumb_position -t 00:00:01 -s 120x90 -r 1 -f image2 $path_thumb";
					//execute and record output to variable
					@exec("$sharedlib $cmd_ffmpeg 2>&1", $output4);
				}

				if(!file_exists($path_thumb)){
					echo "<div class=\"error\">ERROR: Problem with FFMPEG, could not take thumbnail image</div>";
					// write to log
					$file_contents = 'hwdVideoShare: THUMBNAIL IMAGE COULD NOT BE CREATED' . "\n" . $cmd_ffmpeg . "\n".'----------------------------------------------------------' ."\n";
					writelog($file_contents);
				} else {
					echo "<div class=\"success\">SUCCESS: Thumbnail image successfully taken</div>";
					// write to log
					$file_contents = 'hwdVideoShare: THUMBNAIL IMAGE CREATED [image2 method]' . "\n" . $cmd_ffmpeg . "\n".'----------------------------------------------------------' ."\n";
					writelog($file_contents);
				}
					echo "<div><b>FFMPEG INPUT</b></div><div><textarea rows=\"3\" cols=\"50\" style=\"width:90%\">".$cmd_ffmpeg."</textarea></div><div><b>FFMPEG OUTPUT</b></div><div><textarea rows=\"3\" cols=\"50\" style=\"width:90%\">";
					$sop_thumbcreation = $cmd_ffmpeg . "\n";//file line of debug
					foreach ($output4 as $outputline4) {
						$sop_thumbcreation = $sop_thumbcreation . $outputline4 . "\n";
							$outputline4 = strip_tags($outputline4)."\n";
							echo $outputline4;
					}
					echo "</textarea></div></div>";
				if($c->abortthumbfail == 1){
					if(!file_exists($path_thumb)){
						$sqlaa = "UPDATE ".$row->dbprefix."hwdvidsvideos SET approved='queuedforthumbnail' WHERE video_id = '$filename_original'";
						@mysql_query($sqlaa) or die('error: ' . mysql_error());
						if (@file_exists("$path_new")) {
							@unlink($path_new);
						}
						echo "<div class=\"abortbox\"><h2>File ".$n." of ".$count." Aborted!</h2></div>";
						$n = $n + 1;
						continue;
					}
				}
			}
		   /******************************************
			******************************************
			* UPDATE APPROVAL STATUS IN DATABASE
			* sql
			**/
			// Make a database connection to the Joomla database
			//$dbconnect=mysql_connect ($row->host, $row->user, $row->password) or die ('Cannot connect to the database.');
			//mysql_select_db($row->db, $dbconnect) or die (" Database not found.");
			echo "<div class=\"box\"><div><h2>Finishing Conversion (File ".$n." of ".$count.")</h2></div>";
		   /**
			* Set status to pending
			**/
				echo "<div><b>UPDATING STATUS TO PENDING</b></div>";

			$sqlpending = "UPDATE ".$row->dbprefix."hwdvidsvideos SET approved='pending' WHERE video_id = '$filename_original'";
			@mysql_query($sqlpending) or die('error: ' . mysql_error());
		   /**
			* Update video_id
			**/
				echo "<div><b>UPDATING VIDEO ID</b></div>";

			$sqludvi = "UPDATE ".$row->dbprefix."hwdvidsvideos SET video_id='$filename_noext' WHERE video_id = '$filename_original'";
			@mysql_query($sqludvi) or die('error: ' . mysql_error());
		   /**
			* Add duration
			**/

				echo "<div><b>UPDATING DATABASE DURATION</b></div>";

			$filename_noext = $filename_noext;
			$sqladddur = "UPDATE ".$row->dbprefix."hwdvidsvideos SET video_length='$duration' WHERE video_id = '$filename_noext'";
			@mysql_query($sqladddur) or die('error: ' . mysql_error());
		   /**
			* Auto approve?
			**/
			if ($c->aav == 1) {

				echo "<div><b>AUTOAPPROVING VIDEO</b></div>";

			$sqlaa = "UPDATE ".$row->dbprefix."hwdvidsvideos SET approved='yes' WHERE video_id = '$filename_noext'";
			@mysql_query($sqlaa) or die('error: ' . mysql_error());
			}
		   /**
			* Delete Original
			**/
			if ($c->deleteoriginal = 1) {

				echo "<div><b>DELETING ORIGINAL</b></div>";

				if (@file_exists("$path_new") && @file_exists("$path_original")) {
					if ($path_new != $path_original) {
						@unlink($path_original);
					}
				}
			}
		   /**
			* Finish
			**/
			echo "<div class=\"success\"><b>SUCCESS: All processes complete for file ".$n." of ".$count."</b></div>";
			// write to log
			$file_contents = 'hwdVideoShare: VIDEO CONVERSION FINISHED' . "\n".'----------------------------------------------------------' ."\n";
			writelog($file_contents);
			$n = $n + 1;
			echo "</div>";
		}
	}
	echo "<script type=\"text/javascript\">document.getElementById('indicator').innerHTML = \"<h3>Finished</h3>\";</script>";
	echo "</body></html>";
   /**
	* END WHILE
	**/

// select videos that are waiting swf processing
$sql = "SELECT * FROM ".$row->dbprefix."hwdvidsvideos where approved ='queuedforswf'";
$query = @mysql_query($sql) or die('error: ' . mysql_error());
$count = @mysql_num_rows($query);

	// check if any waiting videos
	if ($count == 0) {
			echo "<div><h2>There are no videos waiting for swf processing</h2><h3>Exiting...</h3></div>";
			echo "<script type=\"text/javascript\">document.getElementById('indicator').innerHTML = \"<h3>Finished</h3>\";</script>";
	} else {
	   /**
		* Process each video file
		**/
		$n = 1;
		while ($result = @mysql_fetch_array($query)) {
		echo "<script type=\"text/javascript\">document.getElementById('indicator').innerHTML = \"<h3><img src='./../../../components/com_hwdvideoshare/images/processing.gif' /> Processing SWF file ".$n." of ".$count."</h3>\";</script>";
			$filename_original = $result['video_id'];
			//set current video to "converting"
			$sql1 = "UPDATE ".$row->dbprefix."hwdvidsvideos SET approved = 'converting' WHERE video_id = '$filename_original'";
			@mysql_query($sql1) or die('error: ' . mysql_error());
			//full path of raw video file
			$path_original = $path_base . '/uploads/originals/' . $filename_original;
			//get filename and extension
			list($filename_noext, $filename_ext) = @split('\.', $filename_original);
			if ($filename_ext == "flv") {
				$path_new = $path_base . "/uploads/" . $filename_noext . ".flv";
			} else if ($filename_ext == "swf") {
				$path_new = $path_base . "/uploads/" . $filename_noext . ".swf";
			}
		   /******************************************
			******************************************
			* COPYING VIDEOS INTO THE UPLAOD DIRECTORY
			* mencoder
			**/
			// Make a database connection to the Joomla database
			//$dbconnect=mysql_connect ($row->host, $row->user, $row->password) or die ('Cannot connect to the database.');
			//mysql_select_db($row->db, $dbconnect) or die (" Database not found.");

			echo "<div class=\"box\"><div><h2>Creating Thumbnail For Video (File ".$n." of ".$count.")</h2></div>";
				if(copy($path_original, $path_new)){
					echo "<div class=\"success\">SUCCESS: Original video file copied to upload directory</div>";
				} else {
					echo "<div class=\"error\">ERROR: Could not copy the original video into the upload directory. Check directory permissions.</div>";
				}
			echo "</div>";
			if(!file_exists($path_new) || (filesize($path_new) == 0)){
				$sqlaa = "UPDATE ".$row->dbprefix."hwdvidsvideos SET approved='queuedforthumbnail' WHERE video_id = '$filename_original'";
				@mysql_query($sqlaa) or die('error: ' . mysql_error());
				echo "<div class=\"abortbox\"><h2>File ".$n." of ".$count." Aborted!</h2></div>";
				$n = $n + 1;
				// write to log
				$file_contents = 'hwdVideoShare: COULD NOT COPY FLV FILE TO UPLOAD DIRECTORY' . "\n".'----------------------------------------------------------' ."\n";
				writelog($file_contents);
				continue;
			}
			chmod($path_new, 0777);
			// write to log
			$file_contents = 'hwdVideoShare: COPIED FLV FILE TO UPLOAD DIRECTORY' . "\n".'----------------------------------------------------------' ."\n";
			writelog($file_contents);
		   /******************************************
			******************************************
			* GET VIDEO LENGTH
			* ffmpeg-php / grep from mencoder output
			**/
			// Make a database connection to the Joomla database
			//$dbconnect=mysql_connect ($row->host, $row->user, $row->password) or die ('Cannot connect to the database.');
			//mysql_select_db($row->db, $dbconnect) or die (" Database not found.");
			echo "<div class=\"box\"><div><h2>Retriving Video Length (File ".$n." of ".$count.")</h2></div>";

			$extension = "ffmpeg";
			$extension_soname = $extension . "." . PHP_SHLIB_SUFFIX;
			$extension_fullname = PHP_EXTENSION_DIR . "/" . $extension_soname;
			// Try to load extension
			if(extension_loaded($extension)) {
				$video_info = @new ffmpeg_movie($path_new); //duration of new flv file.
				$sec = @$video_info->getDuration(); // Gets the duration in secs.
			// If extension is not loaded, don't try! Instead, grep for duration from shell output.
			} else if(!extension_loaded($extension)) {
				$sec = 2;
			}

			$duration = sec2hms($sec);//covert to 00:00:00 i.e. hrs:min:sec

			//get the middle of the movie (time; 00:00:00 format) for thumbnail
			$sec2 = $sec / 2;
			$sec2 = @round($sec2);
			$thumb_position = sec2hms($sec2);

				if ($sec != 2) {
					echo "<div class=\"success\">SUCCESS: Thumbnail image will be taken at ".$thumb_position."</div>";
				} else {
					echo "<div class=\"error\">ERROR: Could not determine video duration</div>";
				}
				echo "</div>";

			// write to log
			$file_contents = 'hwdVideoShare: FFMPEG-PHP DURATION ' . $duration . "\n".'----------------------------------------------------------' ."\n";
			writelog($file_contents);
		   /******************************************
			******************************************
			* CREATE THUMBNAIL IMAGE
			* ffmpeg
			**/
			// Make a database connection to the Joomla database
			//$dbconnect=mysql_connect ($row->host, $row->user, $row->password) or die ('Cannot connect to the database.');
			//mysql_select_db($row->db, $dbconnect) or die (" Database not found.");


			// need to generate first frame of swf for thumbnail


			if ($filename_ext == "swf") {
				// still in development
			} else {
				echo "<div class=\"box\"><div><h2>Taking Video Thumbnail (File ".$n." of ".$count.")</h2></div>";

				$path_thumb = $path_base . '/thumbs/' . $filename_noext .'.jpg';
				$path_dthumb = $path_base . '/thumbs/' . $filename_noext .'.gif';

				$cmd_ffmpeg = "$s->ffmpegpath -i $path_new -ss $thumb_position -t 00:00:01 -s 120x90 -r 1 -f mjpeg $path_thumb";
				@exec("$sharedlib $cmd_ffmpeg 2>&1", $output4);

				$cmd_ffmpeg = "$s->ffmpegpath -i $path_new -pix_fmt rgb24 -r 1 -loop_output 0 -ss 5 -t 10 -s 120x90 -f gif $path_dthumb";
				@exec("$sharedlib $cmd_ffmpeg 2>&1", $output5);

			   /**
				* Check thumbnail exists
				* Use alternative method if necessary
				**/

				if (@!file_exists($path_thumb)) {
					$cmd_ffmpeg = "$s->ffmpegpath -i $path_new -ss $thumb_position -t 00:00:01 -s 120x90 -r 1 -f image2 $path_thumb";
					//execute and record output to variable
					@exec("$sharedlib $cmd_ffmpeg 2>&1", $output4);
				}

				if(!file_exists($path_thumb)){
					echo "<div class=\"error\">ERROR: Problem with FFMPEG, could not take thumbnail image</div>";
					// write to log
					$file_contents = 'hwdVideoShare: THUMBNAIL IMAGE COULD NOT BE CREATED' . "\n" . $cmd_ffmpeg . "\n".'----------------------------------------------------------' ."\n";
					writelog($file_contents);
				} else {
					echo "<div class=\"success\">SUCCESS: Thumbnail image successfully taken</div>";
					// write to log
					$file_contents = 'hwdVideoShare: THUMBNAIL IMAGE CREATED [image2 method]' . "\n" . $cmd_ffmpeg . "\n".'----------------------------------------------------------' ."\n";
					writelog($file_contents);
				}
					echo "<div><b>FFMPEG INPUT</b></div><div><textarea rows=\"3\" cols=\"50\" style=\"width:90%\">".$cmd_ffmpeg."</textarea></div><div><b>FFMPEG OUTPUT</b></div><div><textarea rows=\"3\" cols=\"50\" style=\"width:90%\">";
					$sop_thumbcreation = $cmd_ffmpeg . "\n";//file line of debug
					foreach ($output4 as $outputline4) {
						$sop_thumbcreation = $sop_thumbcreation . $outputline4 . "\n";
							$outputline4 = strip_tags($outputline4)."\n";
							echo $outputline4;
					}
					echo "</textarea></div></div>";
				if($c->abortthumbfail == 1){
					if(!file_exists($path_thumb)){
						$sqlaa = "UPDATE ".$row->dbprefix."hwdvidsvideos SET approved='queuedforthumbnail' WHERE video_id = '$filename_original'";
						@mysql_query($sqlaa) or die('error: ' . mysql_error());
						if (@file_exists("$path_new")) {
							@unlink($path_new);
						}
						echo "<div class=\"abortbox\"><h2>File ".$n." of ".$count." Aborted!</h2></div>";
						$n = $n + 1;
						continue;
					}
				}
			}
		   /******************************************
			******************************************
			* UPDATE APPROVAL STATUS IN DATABASE
			* sql
			**/
			// Make a database connection to the Joomla database
			//$dbconnect=mysql_connect ($row->host, $row->user, $row->password) or die ('Cannot connect to the database.');
			//mysql_select_db($row->db, $dbconnect) or die (" Database not found.");
			echo "<div class=\"box\"><div><h2>Finishing Conversion (File ".$n." of ".$count.")</h2></div>";
		   /**
			* Set status to pending
			**/
				echo "<div><b>UPDATING STATUS TO PENDING</b></div>";

			$sqlpending = "UPDATE ".$row->dbprefix."hwdvidsvideos SET approved='pending' WHERE video_id = '$filename_original'";
			@mysql_query($sqlpending) or die('error: ' . mysql_error());
		   /**
			* Update video_id
			**/

				echo "<div><b>UPDATING VIDEO ID</b></div>";

			$sqludvi = "UPDATE ".$row->dbprefix."hwdvidsvideos SET video_id='$filename_noext' WHERE video_id = '$filename_original'";
			@mysql_query($sqludvi) or die('error: ' . mysql_error());
		   /**
			* Add duration
			**/

				echo "<div><b>UPDATING DATABASE DURATION</b></div>";

			$filename_noext = $filename_noext;
			$sqladddur = "UPDATE ".$row->dbprefix."hwdvidsvideos SET video_length='$duration' WHERE video_id = '$filename_noext'";
			@mysql_query($sqladddur) or die('error: ' . mysql_error());
		   /**
			* Auto approve?
			**/
			if ($c->aav == 1) {

				echo "<div><b>AUTOAPPROVING VIDEO</b></div>";

			$sqlaa = "UPDATE ".$row->dbprefix."hwdvidsvideos SET approved='yes' WHERE video_id = '$filename_noext'";
			@mysql_query($sqlaa) or die('error: ' . mysql_error());
			}
		   /**
			* Delete Original
			**/
			if ($c->deleteoriginal = 1) {

				echo "<div><b>DELETING ORIGINAL</b></div>";

				if (@file_exists("$path_new") && @file_exists("$path_original")) {
					if ($path_new != $path_original) {
						@unlink($path_original);
					}
				}
			}
		   /**
			* Finish
			**/
			echo "<div class=\"success\"><b>SUCCESS: All processes complete for file ".$n." of ".$count."</b></div>";
			// write to log
			$file_contents = 'hwdVideoShare: VIDEO CONVERSION FINISHED' . "\n".'----------------------------------------------------------' ."\n";
			writelog($file_contents);
			$n = $n + 1;
			echo "</div>";
		}
	}
	echo "<script type=\"text/javascript\">document.getElementById('indicator').innerHTML = \"<h3>Finished</h3>\";</script>";
	echo "</body></html>";
   /**
	* END WHILE
	**/

	echo "</body></html>";

   /**
	* Convert seconds to HOURS:MINUTES:SECONDS format
	**/
	function sec2hms ($sec, $padHours = false)
	{

    // holds formatted string
    $hms = "";

    // there are 3600 seconds in an hour, so if we
    // divide total seconds by 3600 and throw away
    // the remainder, we've got the number of hours
    $hours = intval(intval($sec) / 3600);

    // add to $hms, with a leading 0 if asked for
    $hms .= ($padHours)
          ? str_pad($hours, 2, "0", STR_PAD_LEFT). ':'
          : $hours. ':';

    // dividing the total seconds by 60 will give us
    // the number of minutes, but we're interested in
    // minutes past the hour: to get that, we need to
    // divide by 60 again and keep the remainder
    $minutes = intval(($sec / 60) % 60);

    // then add to $hms (with a leading 0 if needed)
    $hms .= str_pad($minutes, 2, "0", STR_PAD_LEFT). ':';

    // seconds are simple - just divide the total
    // seconds by 60 and keep the remainder
    $seconds = intval($sec % 60);

    // add to $hms, again with a leading 0 if needed
    $hms .= str_pad($seconds, 2, "0", STR_PAD_LEFT);

    // done!
    return $hms;
	}
   /**
	* Convert seconds to HOURS:MINUTES:SECONDS format
	**/
	function hms2sec ($time, $padHours = false)
	{
		$temp = explode(":",$time);

		if (is_numeric($temp[0])) {
			$hour = $temp[0];
		} else { $hour = 0; }
		if (is_numeric($temp[0])) {
			$minute = $temp[1];
		} else { $minute = 0; }
		if (is_numeric($temp[0])) {
			$second = $temp[2];
		} else { $second = 0; }

 		$sec = ($hour*3600) + ($minute*60) + ($second);
		return $sec;
	}
   /**
	* Write log header
	**/
	function writelog($file_contents)
	{
		$c = hwd_vs_Config::get_instance();
		if ($c->logconvert == 1) {
			$conversionlog = CONVERTPATH."/logs/conversionlog.dat";
			//If log file exists, add to file
			if (file_exists($conversionlog)) {
				$fo = fopen($conversionlog, 'a');
				fwrite($fo, $file_contents);
				fclose($fo);
			}
			//If log file does not exist, create file
			else {
				$fo = fopen($conversionlog, 'w');
				fwrite($fo, $file_contents);
				fclose($fo);
			}
		}
	return;
	}

	@mysql_close($dbconnect);
?>