<?php
/**
 *    @version 2.1.1 Build 21106 Alpha [ Drury ]
 *    @package hwdVideoShare
 *    @copyright (C) 2007 - 2009 Highwood Design
 *    @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 ***
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
defined( '_JEXEC' ) or die( 'Direct Access to this location is not allowed.' );

// declare global variables
global $mosConfig_live_site, $limitstart, $mainframe, $Itemid, $task, $smarty, $joinv, $joing, $select;

// define a safe filepath named constant
define( 'HWDVIDSPATH', dirname(__FILE__) );

// get general configuration data
require_once(HWDVIDSPATH.'/../../administrator/components/com_hwdvideoshare/config.hwdvideoshare.php');
$c = hwd_vs_Config::get_instance();
$db = & JFactory::getDBO();
$my = & JFactory::getUser();
$acl= & JFactory::getACL();

// include some required classes
require_once( $mainframe->getPath( 'class' ) );
require_once( $mainframe->getPath( 'front_html' ) );
require_once(HWDVIDSPATH.'/../../includes/pageNavigation.php');
require_once(HWDVIDSPATH."/mvc/view/js.php");
require_once(HWDVIDSPATH."/mvc/controller/access.php");

// get $_REQUEST paramters
$limitstart = JRequest::getInt( 'limitstart', 0 );
$task = JRequest::getCmd( 'task' );
$maintenance = JRequest::getCmd( 'maintenance' );

	// switch for task function
	switch ($maintenance)
	{
		/** pre execute functions */
		case 'generateplaylists':
			require_once(HWDVIDSPATH."/xml/xmloutput.class.php");
			HWDVS_xmlOutput::checkCacheThenWrite();
			exit;

		case 'full':
			// set cache variables
			$cachedir = HWDVIDSPATH.'/../../administrator/components/com_hwdvideoshare/maintenance/cache/'; // Directory to cache files in (keep outside web root)
			$cachetime = 86400; // Seconds to cache files for
			$cacheext = 'cache'; // Extension to give cached files (usually cache, htm, txt)
			$page = 'http://archivefile'; // Requested page
			$cachefile = $cachedir . md5($page) . '.' . $cacheext; // Cache file to either load or create

			$cachefile_created = (@file_exists($cachefile)) ? @filemtime($cachefile) : 0;
			// Show file from cache if still valid
			if (time() - $cachetime > $cachefile_created) {
				// perform 'fix errors' maintenance
				require_once(HWDVIDSPATH."/../../administrator/components/com_hwdvideoshare/maintenance/fixerrors.class.php");
				hwd_vs_fixerrors::initiate(2);
				// perform 'recount' maintenance
				require_once(HWDVIDSPATH."/../../administrator/components/com_hwdvideoshare/maintenance/recount.class.php");
				hwd_vs_recount::initiate(2);
				// perform 'archivelogs' maintenance
				require_once(HWDVIDSPATH."/../../administrator/components/com_hwdvideoshare/maintenance/archivelogs.class.php");
				hwd_vs_logs::initiate(2);
			}
			exit;
	}

	// gernerate xml playlists
	if ($maintenance !== "generateplaylists" && $c->playlist_bkgd !== "disable") {
		// set cache variables
		$cachedir = HWDVIDSPATH.'/xml/cache/'; // Directory to cache files in (keep outside web root)
		$cachetime = 3600; // Seconds to cache files for
		$cacheext = 'cache'; // Extension to give cached files (usually cache, htm, txt)
		$page = 'http://xmlplaylists_today'; // Requested page
		$cachefile = $cachedir . md5($page) . '.' . $cacheext; // Cache file to either load or create

		$cachefile_created = (@file_exists($cachefile)) ? @filemtime($cachefile) : 0;

		// Show file from cache if still valid
		if (time() - $cachetime > $cachefile_created) {
			if ($maintenance !== "generateplaylists" && $c->playlist_bkgd == "none") {
				require_once(HWDVIDSPATH."/xml/xmloutput.class.php");
				HWDVS_xmlOutput::checkCacheThenWrite();
			} else if ($maintenance !== "generateplaylists" && $c->playlist_bkgd == "wget") {
				require_once(HWDVIDSPATH.'/../../administrator/components/com_hwdvideoshare/serverconfig.hwdvideoshare.php');
				$s = hwd_vs_SConfig::get_instance();
				@exec("env -i $s->wgetpath -O - -q \"".JURI::root()."index.php?option=com_hwdvideoshare&maintenance=generateplaylists\" &>/dev/null &");
			}
		}
	}

	// gernerate maintenance
	if ($task !== "maintenance" && $c->maintenance_bkgd !== "none") {
		// set cache variables
		$cachedir = HWDVIDSPATH.'/../../administrator/components/com_hwdvideoshare/maintenance/cache/'; // Directory to cache files in (keep outside web root)
		$cachetime = 86400; // Seconds to cache files for
		$cacheext = 'cache'; // Extension to give cached files (usually cache, htm, txt)
		$page = 'http://archivefile'; // Requested page
		$cachefile = $cachedir . md5($page) . '.' . $cacheext; // Cache file to either load or create

		$cachefile_created = (@file_exists($cachefile)) ? @filemtime($cachefile) : 0;

		// Show file from cache if still valid
		if (time() - $cachetime > $cachefile_created) {
			// perform maintenance
			if ($task !== "maintenance" && $c->maintenance_bkgd == "wget") {
				require_once(HWDVIDSPATH.'/../../administrator/components/com_hwdvideoshare/serverconfig.hwdvideoshare.php');
				$s = hwd_vs_SConfig::get_instance();
				@exec("env -i $s->wgetpath -O - -q \"".JURI::root()."index.php?option=com_hwdvideoshare&maintenance=full\" &>/dev/null &");
			}
		}
	}

// include language file
if ($c->hwdvids_language_path == "joomfish" && file_exists(HWDVIDSPATH.'/languages/'.$mainframe->getCfg('language').'.php')) {
    include_once(HWDVIDSPATH.'/languages/'.$mainframe->getCfg('language').'.php');
} else if (file_exists(HWDVIDSPATH.'/../../hwdvideos/plugin/language/'.$c->hwdvids_language_path.'/'.$c->hwdvids_language_file.'.php')) {
    include_once(HWDVIDSPATH.'/../../hwdvideos/plugin/language/'.$c->hwdvids_language_path.'/'.$c->hwdvids_language_file.'.php');
} else {
    require_once(HWDVIDSPATH.'/core/english.php');
}

// insert template CSS into <head> tag
if (file_exists(HWDVIDSPATH.'/../../hwdvideos/plugin/templates/'.$c->hwdvids_template_path.'/'.$c->hwdvids_template_file.'.php')) {
    $template_css = include(HWDVIDSPATH.'/../../hwdvideos/plugin/templates/'.$c->hwdvids_template_path.'/'.$c->hwdvids_template_file.'.php');
    $mainframe->addCustomHeadTag($template_css);
} else {
    $template_css = include(HWDVIDSPATH.'/core/template.php');
    $mainframe->addCustomHeadTag($template_css);
}

// add additional references to <head> tag
if ($c->radiusrc !== "0") { $mainframe->addCustomHeadTag('<script language="javascript" type="text/javascript" src="'.$mosConfig_live_site.'/components/com_hwdvideoshare/js/rounded.js"></script>'); }

/**
 *    Itemid validation added 27th June 2008
 *    check menu $Itemid is valid and try to reallocate if necessary - otherwise set to zero
 */
$db->SetQuery( 'SELECT count(*) FROM #__menu WHERE id = '.$Itemid );
$total = $db->loadResult();
if ($total == "0") {
    // if not valid, search for menu items that link to hwdVideoShare
    $query = ' SELECT id FROM #__menu WHERE link = "index.php?option=com_hwdvideoshare" ';
    $db->SetQuery($query);
    $rows = $db->loadObjectList();
    if (count($rows) > 0) {
        $Itemid = $rows[0]->id;
    } else {
        $Itemid = "0";
    }
}

// setup template system
if (!class_exists('smarty')) {
	require_once(HWDVIDSPATH."/core/templates/libs/Smarty.class.php");
}
$smarty = new Smarty;
$smarty->compile_check = true;
$smarty->debugging = false;
// call template files or fall back to default
if (file_exists(HWDVIDSPATH.'/../../hwdvideos/plugin/templates/'.$c->hwdvids_template_path.'/templates/index.tpl')) {
    $smarty->template_dir = HWDVIDSPATH.'/../../hwdvideos/plugin/templates/'.$c->hwdvids_template_path.'/templates/';
} else {
    $smarty->template_dir = HWDVIDSPATH.'/core/templates';
}
$smarty->compile_dir = HWDVIDSPATH.'/core/templates/templates_c';
$smarty->cache_dir = HWDVIDSPATH.'/core/templates/cache';
$smarty->config_dir = HWDVIDSPATH.'/core/templates/configs';
$smarty->clear_compiled_tpl();
require_once(HWDVIDSPATH."/mvc/view/templates.php");

// load revenue system
$revenue_manager = HWDVIDSPATH.'/../com_hwdrevenuemanager/';
if (file_exists($revenue_manager)) {
	require_once(HWDVIDSPATH."/mvc/view/adverts.php");
}

// set core sql variables
$joinv = ' LEFT JOIN #__users AS u ON u.id = a.user_id';
$joing = ' LEFT JOIN #__users AS u ON u.id = a.adminid';
$select = ' a.*, u.name, u.username';
if ($c->cbint == 2) {
	$joinv.= ' LEFT JOIN #__community_users AS p ON p.userid = a.user_id';
	$joing.= ' LEFT JOIN #__community_users AS p ON p.userid = a.adminid';
	$select.= ', p.avatar';
} else if ($c->cbint == 1) {
	$joinv.= ' LEFT JOIN #__comprofiler AS p ON p.id = a.user_id';
	$joing.= ' LEFT JOIN #__comprofiler AS p ON p.id = a.adminid';
	$select.= ', p.avatar';
}

// check component access settings and deny those without privileges
if ($c->access_method == 0) {
	if (!hwd_vs_access::allowAccess( $c->gtree_core, $c->gtree_core_child, hwd_vs_access::userGID( $my->id ))) {
		if ( ($my->id < 1) && (!$mosConfig_allowUserRegistration == '0' && hwd_vs_access::allowAccess( $c->gtree_core, 'RECURSE', $acl->get_group_id('Registered','ARO') ) ) ) {
			hwd_vs_tools::infomessage(1, 0,  _HWDVIDS_TITLE_NOACCESS, _HWDVIDS_ALERT_REGISTERFORACCESS, "exclamation.png", 0);
			return;
		} else {
			hwd_vs_tools::infomessage(1, 0,  _HWDVIDS_TITLE_NOACCESS, _HWDVIDS_ALERT_NOT_AUTHORIZED, "exclamation.png", 0);
			return;
		}
	}
} else if ($c->access_method == 1) {
	if (!hwd_vs_access::allowLevelAccess( $c->accesslevel_main, hwd_vs_access::userGID( $my->id ))) {
		hwd_vs_tools::infomessage(1, 0,  _HWDVIDS_TITLE_NOACCESS, _HWDVIDS_ALERT_NOT_AUTHORIZED, "exclamation.png", 0);
		return;
	}
}

	// switch for task function
    switch ($task)
    {
        /** upload functions */
        case 'upload':
            $mainframe->addCustomHeadTag('<script language="javascript" type="text/javascript" src="'.JURI::root( true ).'/components/com_hwdvideoshare/uploads/perl/ubr_file_upload.js"></script>');
            require(HWDVIDSPATH."/mvc/controller/uploads.php");
            hwd_vs_uploads::uploadMedia($option);
            break;

        case 'upldconfirma3':
            require(HWDVIDSPATH."/mvc/controller/uploads.php");
            hwd_vs_uploads::uploadConfirmPerl();
            break;

        case 'upldconfirma2':
            require(HWDVIDSPATH."/mvc/controller/uploads.php");
            hwd_vs_uploads::uploadConfirmFlash();
            break;

        case 'upldconfirma1':
            require(HWDVIDSPATH."/mvc/controller/uploads.php");
            hwd_vs_uploads::uploadConfirmAjax();
            break;

        case 'upldconfirmb0':
            require(HWDVIDSPATH."/mvc/controller/uploads.php");
            hwd_vs_uploads::uploadConfirmPhp();
            break;

        case 'addconfirm':
            require(HWDVIDSPATH."/mvc/controller/uploads.php");
            hwd_vs_uploads::addConfirm($option);
            break;

        /** group functions */
        case 'groups':
            require(HWDVIDSPATH."/mvc/controller/groups.php");
            hwd_vs_groups::groups($option);
            break;

        case 'creategroup':
            require(HWDVIDSPATH."/mvc/controller/groups.php");
            hwd_vs_groups::createGroup($option);
            break;

        case "editgroup":
            require(HWDVIDSPATH."/mvc/controller/groups.php");
            hwd_vs_groups::editGroup($option);
            break;

        case 'savegroup':
            require(HWDVIDSPATH."/mvc/controller/groups.php");
            hwd_vs_groups::saveGroup($option);
            break;

        case 'deletegroup':
            require(HWDVIDSPATH."/mvc/controller/groups.php");
            hwd_vs_groups::deleteGroup($option);
            break;

        case 'viewgroup':
            require(HWDVIDSPATH."/mvc/controller/groups.php");
            hwd_vs_groups::viewGroup($option);
            break;

        case 'joingroup':
            require(HWDVIDSPATH."/mvc/controller/groups.php");
            hwd_vs_groups::joinGroup($option);
            break;

        case 'leavegroup':
            require(HWDVIDSPATH."/mvc/controller/groups.php");
            hwd_vs_groups::leaveGroup($option);
            break;

        /** user functions */
        case 'yourvids':
            require(HWDVIDSPATH."/mvc/controller/usrfunc.php");
            hwd_vs_usrfunc::yourVideos($option);
            break;

        case 'yourfavs':
            require(HWDVIDSPATH."/mvc/controller/usrfunc.php");
            hwd_vs_usrfunc::yourFavourites($option);
            break;

        case 'yourgroups':
            require(HWDVIDSPATH."/mvc/controller/usrfunc.php");
            hwd_vs_usrfunc::yourGroups($option);
            break;

        case 'yourmemberships':
            require(HWDVIDSPATH."/mvc/controller/usrfunc.php");
            hwd_vs_usrfunc::yourMemberships($option);
            break;

        case "editvideo":
            require(HWDVIDSPATH."/mvc/controller/usrfunc.php");
            hwd_vs_usrfunc::editVideoInfo($option);
            break;

        case "savevideo":
            require(HWDVIDSPATH."/mvc/controller/usrfunc.php");
            hwd_vs_usrfunc::saveVideoInfo($option);
            break;

        case "deletevideo":
            require(HWDVIDSPATH."/mvc/controller/usrfunc.php");
            hwd_vs_usrfunc::deleteVideo($option);
            break;

        case "featuredvids":
            require(HWDVIDSPATH."/mvc/controller/usrfunc.php");
            hwd_vs_usrfunc::featuredVideos($option);
            break;

        case "featuredgroups":
            require(HWDVIDSPATH."/mvc/controller/usrfunc.php");
            hwd_vs_usrfunc::featuredGroups($option);
            break;

        /** standard interaction functions */
        case 'rate':
            require(HWDVIDSPATH."/mvc/controller/standardsuite.php");
            hwd_vs_standard::rate($option);
            break;

        case 'favourite':
            require(HWDVIDSPATH."/mvc/controller/standardsuite.php");
            hwd_vs_standard::addFavourite($option);
            break;

        case 'removefavourite':
            require(HWDVIDSPATH."/mvc/controller/standardsuite.php");
            hwd_vs_standard::removeFavourite($option);
            break;

        case 'addv2g':
            require(HWDVIDSPATH."/mvc/controller/standardsuite.php");
            hwd_vs_standard::addVideoToGroup($option);
            break;

        case 'flagvideo':
            require(HWDVIDSPATH."/mvc/controller/standardsuite.php");
            hwd_vs_standard::reportVideo($option);
            break;

        case 'flaggroup':
            require(HWDVIDSPATH."/mvc/controller/standardsuite.php");
            hwd_vs_standard::reportGroup($option);
            break;

        case 'nextvideo':
            require(HWDVIDSPATH."/mvc/controller/standardsuite.php");
            hwd_vs_standard::viewNextVideo($option);
            break;

        case 'previousvideo':
            require(HWDVIDSPATH."/mvc/controller/standardsuite.php");
            hwd_vs_standard::viewPrevVideo($option);
            break;

        /** ajax interaction functions */
        case "ajaxrate":
            require(HWDVIDSPATH."/mvc/controller/ajaxsuite.php");
            hwd_vs_ajax::rateStarbox($option);
            break;

        case "ajaxratedb":
			require(HWDVIDSPATH."/mvc/controller/ajaxsuite.php");
            hwd_vs_ajax::rateMasuga($option);
            break;

        case "ajaxatf":
            require(HWDVIDSPATH."/mvc/controller/ajaxsuite.php");
            hwd_vs_ajax::addToFavourites();
            break;

        case "ajaxrff":
            require(HWDVIDSPATH."/mvc/controller/ajaxsuite.php");
            hwd_vs_ajax::removeFromFavourites();
            break;

        case "ajaxreportvid":
            require(HWDVIDSPATH."/mvc/controller/ajaxsuite.php");
            hwd_vs_ajax::reportVideo();
            break;

        case "ajaxadd2group":
            require(HWDVIDSPATH."/mvc/controller/ajaxsuite.php");
            hwd_vs_ajax::addVideoToGroup();
            break;

        case "grabjomsocialplayer":
            require(HWDVIDSPATH."/mvc/controller/ajaxsuite.php");
            hwd_vs_ajax::grabJomSocialPlayer();
            break;

        /** core functions */
        case 'search':
            require(HWDVIDSPATH."/mvc/controller/core.php");
            hwd_vs_core::search($option);
            break;

        case 'viewvideo':
            require(HWDVIDSPATH."/mvc/controller/core.php");
            hwd_vs_core::viewVideo($option);
            break;

        case 'categories':
            require(HWDVIDSPATH."/mvc/controller/core.php");
            hwd_vs_core::categories($option);
            break;

        case 'viewcategory':
            require(HWDVIDSPATH."/mvc/controller/core.php");
            hwd_vs_core::viewCategory($option);
            break;

        case 'dfile':
            require(HWDVIDSPATH."/mvc/controller/core.php");
            hwd_vs_core::downloadFile($option);
            break;

        default:
            frontpage($option);
            break;
    }
    /**
     * Make frontpage SQL queries with appropriate filters
     *
     * @param string $option  the joomla component name
     * @return       Nothing
     */
    function frontpage($option)
    {
        global $mainframe, $limitstart;
        $c = hwd_vs_Config::get_instance();
  		$db = & JFactory::getDBO();
		$my = & JFactory::getUser();
        // number of videos to display
        $limit     = intval($c->vpp);
        // sql search filters
        $where = ' WHERE a.published = 1';
        $where .= ' AND a.approved = "yes"';
        if (!$my->id) {
        $where .= ' AND a.public_private = "public"';
        }
        // get video count
        $db->SetQuery( 'SELECT count(*)'
					 . 'FROM #__hwdvidsvideos AS a'
					 . $where
					 );
        $total = $db->loadResult();
        echo $db->getErrorMsg();
        // pagination
        $pageNav = new mosPageNav( $total, $limitstart, $limit );

        $join = ' LEFT JOIN #__users AS u ON u.id = a.user_id';
        $select = ' a.*, u.name, u.username';
        if ($c->cbint == 2) {
        	$join.= ' LEFT JOIN #__community_users AS p ON p.userid = a.user_id';
        	$select.= ', p.avatar';
        } else if ($c->cbint == 1) {
        	$join.= ' LEFT JOIN #__comprofiler AS p ON p.id = a.user_id';
        	$select.= ', p.avatar';
        }

        // get videos
        $query = 'SELECT'.$select
                . ' FROM #__hwdvidsvideos AS a'
				. $join
                . $where
                . ' ORDER BY a.date_uploaded DESC'
                ;
        $db->SetQuery($query, $pageNav->limitstart, $pageNav->limit);
        $rows = $db->loadObjectList();

         // get featured videos
        $query = 'SELECT'.$select
                . ' FROM #__hwdvidsvideos AS a'
				. $join
                . $where
                . ' AND a.featured = 1'
                . ' ORDER BY a.ordering ASC'
                . ' LIMIT 0, '.$c->fpfeaturedvids
                ;
        $db->SetQuery($query);
        $rowsfeatured = $db->loadObjectList();

		$rowsnow = array();
		if ($c->frontpage_watched == "1") {
			//Videos that are approved(converted) and published in this group
			$query = 'SELECT'.$select
					. ' FROM #__hwdvidsvideos AS a'
					. ' LEFT JOIN #__hwdvidslogs_views AS l ON l.videoid = a.id'
					. $join
					. ' WHERE l.date > NOW() - INTERVAL 60 MINUTE'
					. ' ORDER BY l.date DESC'
                	. ' LIMIT 0, 10'
					;
			$db->SetQuery($query);
			$rowsnow = $db->loadObjectList();
        }
		$mostviewed = array();
		if ($c->frontpage_viewed !== "0") {
			// parse xml playlists
			require_once(HWDVIDSPATH."/xml/xmlparse.class.php");
			$parser = new HWDVS_xmlParse();
			$mostviewed = $parser->parse("mostviewed_".$c->frontpage_viewed);
		}
		$mostfavoured = array();
		if ($c->frontpage_favoured !== "0") {
			// parse xml playlists
			require_once(HWDVIDSPATH."/xml/xmlparse.class.php");
			$parser = new HWDVS_xmlParse();
			$mostfavoured = $parser->parse("mostfavoured_".$c->frontpage_favoured);
		}

		$mostpopular = array();
		if ($c->frontpage_popular !== "0") {
			// parse xml playlists
			require_once(HWDVIDSPATH."/xml/xmlparse.class.php");
			$parser = new HWDVS_xmlParse();
			$mostpopular = $parser->parse("mostpopular_".$c->frontpage_popular);
		}

        // send out
        hwd_vs_html::frontpage($option, $rows, $rowsfeatured, $pageNav, $total, $rowsnow, $mostviewed, $mostfavoured, $mostpopular);
    }
?>