<?php
/**
 *    @version 2.1.1 Build 21106 Alpha [ Drury ]
 *    @package hwdVideoShare
 *    @copyright (C) 2007 - 2009 Highwood Design
 *    @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 ***
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
defined( '_JEXEC' ) or die( 'Direct Access to this location is not allowed.' );

class hwd_vs_usrfunc
{
   /**
    * List Groups Created by User
    */
    function yourGroups($option)
	{
		global $mainframe, $limitstart, $Itemid;
		$c = hwd_vs_Config::get_instance();
		$db = & JFactory::getDBO();
		$my = & JFactory::getUser();

		if (!$my->id) {
			$msg = _HWDVIDS_ALERT_LOG2CYG;
			$mainframe->enqueueMessage($msg);
			$mainframe->redirect( JURI::root( true ) . '/index.php?option=com_hwdvideoshare&task=groups&Itemid='.$Itemid );
		}

		$limit 	= intval($c->gpp);
		$gid 	= intval($my->gid);

		$user_id = $my->id;

		$where = ' WHERE a.published = 1';
		$where .= ' AND a.adminid = '.$user_id;

        $join = ' LEFT JOIN #__users AS u ON u.id = a.adminid';
        $select = ' a.*, u.name, u.username';
        if ($c->cbint == 2) {
        	$join.= ' LEFT JOIN #__community_users AS p ON p.userid = a.adminid';
        	$select.= ', p.avatar';
        } else if ($c->cbint == 1) {
        	$join.= ' LEFT JOIN #__comprofiler AS p ON p.id = a.adminid';
        	$select.= ', p.avatar';
        }

		$db->SetQuery( 'SELECT count(*)'
						. ' FROM #__hwdvidsgroups AS a'
							. $where
							);
  		$total = $db->loadResult();
		echo $db->getErrorMsg();

		$pageNav = new mosPageNav( $total, $limitstart, $limit );

		$query = 'SELECT'.$select
                . ' FROM #__hwdvidsgroups AS a'
				. $join
				. $where
				. ' ORDER BY a.id DESC'
				;

		$db->SetQuery($query, $pageNav->limitstart, $pageNav->limit);
		$rows = $db->loadObjectList();

		hwd_vs_html::yourGroups($option, $rows, $pageNav, $total);
	}

   /**
    * List Groups User Has Joined
    */
	function yourMemberships($option)
	{
		global $mainframe, $limitstart, $Itemid;
		$c = hwd_vs_Config::get_instance();
		$db = & JFactory::getDBO();
		$my = & JFactory::getUser();

		if (!$my->id) {
			$msg = _HWDVIDS_ALERT_LOG2CYM;
			$mainframe->enqueueMessage($msg);
			$mainframe->redirect( JURI::root( true ) . '/index.php?option=com_hwdvideoshare&task=groups&Itemid='.$Itemid );
		}

		$limit 	= intval($c->gpp);
		$gid 	= intval($my->gid);

		$user_id = $my->id;

		$where = ' WHERE a.approved = 1';
		$where .= ' AND a.memberid = '.$user_id;

        $join = ' LEFT JOIN #__users AS u ON u.id = l.adminid';
        $select = ' l.*, u.name, u.username';
        if ($c->cbint == 2) {
        	$join.= ' LEFT JOIN #__community_users AS p ON p.userid = l.adminid';
        	$select.= ', p.avatar';
        } else if ($c->cbint == 1) {
        	$join.= ' LEFT JOIN #__comprofiler AS p ON p.id = l.adminid';
        	$select.= ', p.avatar';
        }

		$db->SetQuery( 'SELECT count(*)'
						. ' FROM #__hwdvidsgroup_membership AS a'
							. $where
							);
  		$total = $db->loadResult();
		echo $db->getErrorMsg();

		$pageNav = new mosPageNav( $total, $limitstart, $limit );

		$query = 'SELECT'.$select
                . ' FROM #__hwdvidsgroup_membership AS a'
				. ' LEFT JOIN #__hwdvidsgroups AS l ON a.groupid = l.id'
				. $join
				. $where
				. ' ORDER BY a.id DESC'
				;

		$db->SetQuery($query, $pageNav->limitstart, $pageNav->limit);
		$rows = $db->loadObjectList();

		hwd_vs_html::yourMemberships($option, $rows, $pageNav, $total);
	}

   /**
    * List User Videos
    */
	function yourVideos($option)
	{
		global $mainframe, $limitstart, $Itemid;
		$c = hwd_vs_Config::get_instance();
		$db = & JFactory::getDBO();
		$my = & JFactory::getUser();

		if (!$my->id) {
			$msg = _HWDVIDS_ALERT_LOG2CYV;
			$mainframe->enqueueMessage($msg);
			$mainframe->redirect( JURI::root( true ) . '/index.php?option=com_hwdvideoshare&Itemid='.$Itemid );
		}

		$limit 	= intval($c->vpp);

		$user_id = $my->id;

		$where = ' WHERE a.approved = "yes"';
		$where .= ' AND a.published = 1';
		$where .= ' AND a.user_id = '.$user_id;

        $join = ' LEFT JOIN #__users AS u ON u.id = a.user_id';
        $select = ' a.*, u.name, u.username';
        if ($c->cbint == 2) {
        	$join.= ' LEFT JOIN #__community_users AS p ON p.userid = a.user_id';
        	$select.= ', p.avatar';
        } else if ($c->cbint == 1) {
        	$join.= ' LEFT JOIN #__comprofiler AS p ON p.id = a.user_id';
        	$select.= ', p.avatar';
        }

		$db->SetQuery( 'SELECT count(*)'
						. ' FROM #__hwdvidsvideos AS a'
							. $where
							);
  		$total = $db->loadResult();
		echo $db->getErrorMsg();

		$pageNav = new mosPageNav( $total, $limitstart, $limit );

		$query = 'SELECT'.$select
               	. ' FROM #__hwdvidsvideos AS a'
				. $join
				. $where
				. ' ORDER BY a.date_uploaded DESC'
				;

		$db->SetQuery($query, $pageNav->limitstart, $pageNav->limit);
		$rows = $db->loadObjectList();

		hwd_vs_html::yourVideos($option, $rows, $pageNav, $total);
	}

   /**
    * List User Favourite Videos
    */
	function yourFavourites($option)
	{
		global $mainframe, $limitstart, $Itemid;
		$c = hwd_vs_Config::get_instance();
		$db = & JFactory::getDBO();
		$my = & JFactory::getUser();

		if (!$my->id) {
			$msg = _HWDVIDS_ALERT_LOG2CYF;
			$mainframe->enqueueMessage($msg);
			$mainframe->redirect( JURI::root( true ) . '/index.php?option=com_hwdvideoshare&Itemid='.$Itemid );
		}

		$limit 	= intval($c->vpp);
		$gid 	= intval($my->gid);

		$user_id = $my->id;

		$where = ' WHERE a.approved = "yes"';
		$where .= ' AND a.published = 1';
		$where .= ' AND l.userid = '.$user_id;

        $join = ' LEFT JOIN #__users AS u ON u.id = a.user_id';
        $select = ' a.*, u.name, u.username';
        if ($c->cbint == 2) {
        	$join.= ' LEFT JOIN #__community_users AS p ON p.userid = a.user_id';
        	$select.= ', p.avatar';
        } else if ($c->cbint == 1) {
        	$join.= ' LEFT JOIN #__comprofiler AS p ON p.id = a.user_id';
        	$select.= ', p.avatar';
        }

		$db->SetQuery( 'SELECT count(*)'
						. ' FROM #__hwdvidsvideos AS a'
						. ' LEFT JOIN #__hwdvidsfavorites AS l ON a.id = l.videoid'
							. $where
							);
  		$total = $db->loadResult();
		echo $db->getErrorMsg();

		$pageNav = new mosPageNav( $total, $limitstart, $limit );

		$query = 'SELECT'.$select
               	. ' FROM #__hwdvidsvideos AS a'
				. $join
				. ' LEFT JOIN #__hwdvidsfavorites AS l ON a.id = l.videoid'
				. $where
				. ' ORDER BY a.date_uploaded DESC'
				;

		$db->SetQuery($query, $pageNav->limitstart, $pageNav->limit);
		$rows = $db->loadObjectList();

		hwd_vs_html::yourFavourites($option, $rows, $pageNav, $total);
	}



   /**
    * Edit video details
    */
    function editVideoInfo($option)
	{
		global $mainframe, $Itemid;
		$db = & JFactory::getDBO();
		$my = & JFactory::getUser();

		$videoid	= JRequest::getInt( 'videoid', 0, 'post' );

		$row = new hwdvids_video($db);
		$row->load( $videoid );

		// fail if checked out not by user
		if ($row->isCheckedOut( $my->id )) {
			$mainframe->enqueueMessage(_HWDVIDS_ALERTCO1.' '.$row->title.' '. _HWDVIDS_ALERTCO2);
			$mainframe->redirect( JURI::root( true ) . '/index.php?option=com_hwdvideoshare&Itemid='.$Itemid );
		}

		$db->SetQuery("SELECT * FROM #__hwdvidsvideos WHERE id = $videoid");
		$db->loadObject($row);

		//check valid user
		if ($row->user_id != $my->id) {
			$mainframe->enqueueMessage(_HWDVIDS_ALERT_NOPERM);
			$mainframe->redirect( JURI::root( true ) . '/index.php?option=com_hwdvideoshare&Itemid='.$Itemid );
		}

		hwd_vs_html::editVideoInfo($option, $row);
	}

   /**
    * Save editted video details
    */
	function saveVideoInfo($option)
	{
		global $Itemid, $mainframe;
		$db = & JFactory::getDBO();
		$my = & JFactory::getUser();

		$row = new hwdvids_video($db);

		$uid = JRequest::getInt( 'owner', 0, 'post' );
		$rowid = JRequest::getInt( 'id', 0, 'post' );

		if ($uid != $my->id) {
			$mainframe->enqueueMessage(_HWDVIDS_ALERT_NOPERM);
			$mainframe->redirect( JURI::root( true ) . '/index.php?option=com_hwdvideoshare&Itemid='.$Itemid );
		}

		$row->load( $rowid );
		$old_category = $row->category_id;

		if ($_FILES['thumbnail_file']['tmp_name'] !== "") {
			$base_Dir = HWDVIDSPATH.'/../../hwdvideos/thumbs/';
			if (@explode(",", $row->video_id)) {
				$data = explode(",", $row->video_id);
				$videocode = $data[0];
			} else { $videocode = $row->video_id; }

			// update sql if necessary
			if ($row->video_type == "local") {
				$upload_result = hwd_vs_tools::uploadFile("thumbnail_file", $videocode, $base_Dir, 2, "jpg", 1);
				if ($upload_result[0] == "0") {
					$msg = $upload_result[1];
					$mainframe->enqueueMessage($msg);
					$mainframe->redirect( JURI::root( true ) . '/index.php?option=com_hwdvideoshare&Itemid='.$Itemid.'&task=editvideo&video_id='.$row->id );
				}
			} else if ($row->video_type == "remote") {
				$videocode = "remote-".$row->id;
				$upload_result = hwd_vs_tools::uploadFile("thumbnail_file", $videocode, $base_Dir, 2, "jpg", 1);
				if ($upload_result[0] == "0") {
					$msg = $upload_result[1];
					$mainframe->enqueueMessage($msg);
					$mainframe->redirect( JURI::root( true ) . '/index.php?option=com_hwdvideoshare&Itemid='.$Itemid.'&task=editvideo&video_id='.$row->id );
				}
				$data[1] = JURI::root() . "hwdvideos/thumbs/".$videocode.".jpg";
				$new_video_id = implode(",", $data);
				$_POST['video_id'] = $new_video_id;
			} else if ($row->video_type == "swf") {
				$upload_result = hwd_vs_tools::uploadFile("thumbnail_file", $videocode, $base_Dir, 2, "jpg", 1);
				if ($upload_result[0] == "0") {
					$msg = $upload_result[1];
					$mainframe->enqueueMessage($msg);
					$mainframe->redirect( JURI::root( true ) . '/index.php?option=com_hwdvideoshare&Itemid='.$Itemid.'&task=editvideo&video_id='.$row->id );
				}
			} else {
				$upload_result = hwd_vs_tools::uploadFile("thumbnail_file", $videocode, $base_Dir, 2, "jpg", 1);
				if ($upload_result[0] == "0") {
					$msg = $upload_result[1];
					$mainframe->enqueueMessage($msg);
					$mainframe->redirect( JURI::root( true ) . '/index.php?option=com_hwdvideoshare&Itemid='.$Itemid.'&task=editvideo&video_id='.$row->id );
				}
				$data[1] = JURI::root() . "hwdvideos/thumbs/".$videocode.".jpg";
				$new_video_id = implode(",", $data);
				$_POST['video_id'] = $new_video_id;
			}

		} else {
			//echo "No thumbnail uploaded";
		}

		$_POST['title'] 			= Jrequest::getVar( 'title', _HWDVIDS_UNKNOWN );
		$_POST['description'] 		= Jrequest::getVar( 'description', _HWDVIDS_UNKNOWN );
		$_POST['category_id'] 		= JRequest::getInt( 'category_id', 0 );
		$_POST['tags'] 				= Jrequest::getVar( 'tags', _HWDVIDS_UNKNOWN );

		// bind it to the table
		if (!$row->bind($_POST)) {
			echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
			exit();
		}

		// Make sure the record is valid
   		if (!$row->check()) {
        	$this->setError($this->_db->getErrorMsg());
			echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
			exit();
    	}

		// store it in the db
		if (!$row->store()) {
			echo "<script> alert('".$row -> getError()."'); window.history.go(-1); </script>\n";
			exit();
		}

		$row->checkin();

		include(HWDVIDSPATH.'/../../administrator/components/com_hwdvideoshare/maintenance/recount.class.php');
		hwd_vs_recount::recountVideosInCategory($row->category_id);
		hwd_vs_recount::recountVideosInCategory($old_category_id);

		$msg = _HWDVIDS_ALERT_VIDEDITSAVED;
		$mainframe->enqueueMessage($msg);
		$mainframe->redirect( JURI::root( true ) . '/index.php?option=com_hwdvideoshare&Itemid='.$Itemid.'&task=yourvids' );
	}

   /**
	* Delete videos
	*/
	function deleteVideo($option, $cid)
	{
		global $mainframe, $Itemid;
		$db = & JFactory::getDBO();
		$my = & JFactory::getUser();

		$videoid	= JRequest::getInt( 'videoid', 0, 'post' );

		$row = new hwdvids_video($db);
		$row->load( $videoid );

		//check valid user
		if ($row->user_id != $my->id) {
			$mainframe->enqueueMessage(_HWDVIDS_ALERT_NOPERM);
			$mainframe->redirect( JURI::root( true ) . '/index.php?option=com_hwdvideoshare&Itemid='.$Itemid );
		}

		// fail if checked out not by user
		if ($row->isCheckedOut( $my->id )) {
			$mainframe->enqueueMessage(_HWDVIDS_ALERTCO1.' '.$row->title.' '. _HWDVIDS_ALERTCO2);
			$mainframe->redirect( JURI::root( true ) . '/index.php?option=com_hwdvideoshare&Itemid='.$Itemid );
		}

		$db->SetQuery("UPDATE #__hwdvidsvideos SET approved = 'deleted', published = 0, featured = 0 WHERE id = $videoid");
		$db->Query();

		if ( !$db->query() ) {
			echo "<script> alert('".$db->getErrorMsg()."'); window.history.go(-1); </script>\n";
			exit();
		}

		$mainframe->enqueueMessage(_HWDVIDS_ALERT_ADMIN_USERVIDDEL);
		$mainframe->redirect( JURI::root( true ) . '/index.php?option=com_hwdvideoshare&Itemid='.$Itemid );
	}
   /**
	* Featured videos
	*/
	function featuredVideos($option)
	{
		global $mainframe, $limitstart, $Itemid;
		$c = hwd_vs_Config::get_instance();
		$db = & JFactory::getDBO();
		$my = & JFactory::getUser();

		$limit 	= intval($c->vpp);

		$where = ' WHERE a.approved = "yes"';
		$where .= ' AND a.published = 1';
		$where .= ' AND a.featured = 1';

		$db->SetQuery( 'SELECT count(*)'
						. ' FROM #__hwdvidsvideos AS a'
							. $where
							);
  		$total = $db->loadResult();
		echo $db->getErrorMsg();

		$pageNav = new mosPageNav( $total, $limitstart, $limit );

		$query = 'SELECT a.*'
				. ' FROM #__hwdvidsvideos AS a'
				. $where
				. ' ORDER BY a.date_uploaded DESC'
				;

		$db->SetQuery($query, $pageNav->limitstart, $pageNav->limit);
		$rows = $db->loadObjectList();

		hwd_vs_html::featuredVideos($option, $rows, $pageNav, $total);
	}
   /**
	* Featured groups
	*/
	function featuredGroups($option)
	{
		global $mainframe, $limitstart, $Itemid;
		$c = hwd_vs_Config::get_instance();

		$limit 	= intval($c->gpp);

		$where = ' WHERE a.published = 1';
		$where .= ' AND a.featured = 1';

		$db->SetQuery( 'SELECT count(*)'
						. ' FROM #__hwdvidsgroups AS a'
							. $where
							);
  		$total = $db->loadResult();
		echo $db->getErrorMsg();

		$pageNav = new mosPageNav( $total, $limitstart, $limit );

		$query = 'SELECT a.*'
				. ' FROM #__hwdvidsgroups AS a'
				. $where
				. ' ORDER BY a.id DESC'
				;

		$db->SetQuery($query, $pageNav->limitstart, $pageNav->limit);
		$rows = $db->loadObjectList();

		hwd_vs_html::featuredGroups($option, $rows, $pageNav, $total);
	}
}
?>