<?php
/**
 ** @version 2.0.1
 * @package moseasymedia
 * @copyright Copyright &copy; 2008, Brilaps LLC
 * @author Ozgur Cem Sen
 * @email code@brilaps.com
 * @link http://brilaps.com || http://wiki.brilaps.com
 * @license http://www.opensource.org/licenses/gpl-license.php GNU/GPL v.2 .
 * moseasymedia  special build for Joomla 1.5
 */

/** ensure this file is being included by a parent file */
defined( '_JEXEC' ) or die( 'Restricted access' );


global $mosConfig_live_site;
global $MOSEASYMEDIA_BASE_URL;
$MOSEASYMEDIA_BASE_URL = JURI::base()."plugins"."/content/moseasymedia/";

global $mosConfig_absolute_path;
global $MOSEASYMEDIA_ABSOLUTE_PATH;
$MOSEASYMEDIA_ABSOLUTE_PATH = JPATH_PLUGINS."/content/moseasymedia/";


/**
 * @global string Regular Expression to find the mambot in the content. This is relatively simple
 */
global $DEFAULT_MOSEASYMEDIA_FIND_REGEXP;
$DEFAULT_MOSEASYMEDIA_FIND_REGEXP = "/\{moseasymedia\s*(.*?)\}/i";

/**
 * @global string Regular Expression to parse the atributes of the mambot. i.e. media=blah.mpg height=100 width=120
 */
global $DEFAULT_MOSEASYMEDIA_PARSE_ATTRIB_REGEXP;
$DEFAULT_MOSEASYMEDIA_PARSE_ATTRIB_REGEXP = "([\s](\w+)[=]+([^\s]+))";

/**
 * @global string Regular Expression to parse {moseasymedia} attribs
 */
global $DEFAULT_MOSEASYMEDIA_PARSE_REGEXP;
$DEFAULT_MOSEASYMEDIA_PARSE_REGEXP = "/\{(moseasymedia)".$DEFAULT_MOSEASYMEDIA_PARSE_ATTRIB_REGEXP."(.*)\}/i";


/**
 * Include the mambot handler file
 */
require_once($MOSEASYMEDIA_ABSOLUTE_PATH. '/moseasymedia.inc.php');
require_once($MOSEASYMEDIA_ABSOLUTE_PATH. '/moseasymediaParams.php');


/**
 * Include the mambot handler file
 */
require_once(JPATH_PLUGINS.'/content/moseasymedia/moseasymedia.inc.php');

global $mainframe;
$mainframe->registerEvent( 'onPrepareContent', 'moseasymedia' );
/**
 * Function: Entry point of moseasymedia mambot
 * @param bool $published
 * @param object &$row
 * @param object &$params
 * @param integer $page
 * @return void returns whatever :)
 */
function moseasymedia( &$row, &$params, $page=0 ) {
	
	$mambot =& JPluginHelper::getPlugin('content', 'moseasymedia');
	if ($mambot != null) {
	    $botParams = new JParameter( $mambot->params );
	    //@@TODO: Check this again.
	    if ($botParams !== null) {
	        //read the parms. the media.class will deal with those..
		    if ( !$botParams->get( 'enabled', 1 ) ) {
		        return true;	
		    }
	
	        $moseasymediaparams = new moseasymediaParams();
	        $moseasymediaparams->setParams($botParams->_registry['_default']['data']);
	        
	        $row->text = moseasymediaBot::render_moseasymedia($row->text, $moseasymediaparams);
	    }
	}
    return true;
}

?>